Oracle® Identity Management Certification Information
Oracle Identity Management (10.1.4)
 

 

Oracle® Identity Management

Certification Information 

Oracle Identity Management (10.1.4)

May 23, 2019

This document outlines the certified hardware and software configurations for Oracle Identity Management.

1 General Oracle Identity Management Certification Information

This document contains the overall certification information for Oracle Identity Management (10.1.4). It is organized into the following main areas:

  • Section 11, "Oracle Adaptive Access Manager Certification"

For additional information about Oracle Identity Management, refer to the Oracle Identity Management page on Oracle Technology Network:

http://www.oracle.com/technology/products/id_mgmt/index.html

For general information on supported non-Oracle Virtualization and Partitioning technologies, refer to http://www.oracle.com/technology/products/ias/hi_av/oracleas_supported_virtualization.html

 

Oracle Fusion Middleware is supported on ZFS on Solaris SPARC 64 platform running Solaris10. For details, refer to MetaLink note number 879491.1 on My Oracle Support.

Note: Oracle VM is supported where the operating system reference is followed by "/ Oracle VM".Oracle Application Server supports only those browsers that are supported by Vendors.

Note:

For important information on the support status of VMWare and Oracle Identity Management, please refer to MetaLink note number 249212.1 on My Oracle Support.
Oracle Application Server supports only those browsers that are supported by Vendors.

2 Oracle Identity Manager Certification

General certification information for Oracle Identity Manager:

  • Sun JDK 1.4.2 has extended support for Oracle customers. Use Patch 8453300, if you require the latest JDK 1.4.2 from Sun (for Solaris,
    Linux and Windows).
    You can obtain this patch from http://myoraclesupport.com. 
  • Oracle Identity Manager was previously known as Oracle Xellerate Identity Provisioning.

  • Oracle Identity Manager Design Console requires Windows 2003 SP1, Windows 2003 R2, or Windows XP SP1 or SP2.

  • Oracle Identity Manager Administrative and User Console requires Microsoft Internet Explorer 6.0.x or 7.0.

  • Oracle Identity Manager Release 9.0.1.3.x requires Sun JDK 1.4.2 minor version 09 or higher. Oracle Identity Manager Release 9.0.3.1 requires Sun JDK 1.4.2 minor version 11 or higher. 

  • Oracle Identity Manager Release 9.0.3 is an international version. Upgrade from non-internationalized releases (including Release 9.0.1.x) is not supported.

The information in this section is grouped as follows:

2.1 Oracle Identity Manager Solaris Certification

Table 1 lists the Oracle Identity Manager (OIM) certification information for Solaris.

Table 1 Oracle Identity Manager Certification for Solaris

ProcessorBus ArchitectureOperating System Name and VersionOperating System 32 or 64 bits?Web ContainerCertified OIM VersionJDK       
SPARC64 bitSolaris 964 bitWebSphere 5.1.1.129.0.1IBM JDK 1.5.0 or higher       
WebLogic 8.1 SP69.0.1Sun JDK 1.4.2_09 or higher       
SPARC64 bitSolaris 1064 bitWebSphere 5.1.1.129.0.1IBM JDK 1.5.0 or higher       
9.0.3IBM JDK 1.5.0 or higher       
WebLogic 8.1 SP69.0.1Sun JDK 1.4.2_09 or higher       
9.0.3Sun JDK 1.4.2_11 or higher       
9.1.0.0 onlySun JDK 1.4.2_11 or higher        
WebLogic 10.3.09.1.0.1 or higherSun JDK 1.6.0_10 or higher
JRockit 1.6.0_05 or higher
       
WebLogic 10.3.1 and 10.3.29.1.0.2 or higherSun JDK 1.6.0_10 or higher   JRockit 1.6.0_05 or higher       
JBoss 4.0.29.0.1Sun JDK 1.4.2_09 or higher       
JBoss 4.0.3 SP19.0.3Sun JDK 1.4.2_11 or higher       
9.1.0.0 onlySun JDK 1.4.2_15 or higher in 1.4.2_xx series.       
Oracle Containers for J2EE 10.1.3.3 or higher9.0.3Sun JDK 1.5.0_06 or higher       
9.1.0.0 or higherSun JDK 1.5.0_06 and higher        

2.2 Oracle Identity Manager Linux Certification

Table 2 lists the Oracle Identity Manager certification information for Oracle Enterprise Linux and Red Hat Linux.

Table 2 Oracle Identity Manager Certification for Linux

ProcessorBus ArchitectureOperating System Name and VersionOperating System 32 or 64 bits?Web ContainerCertified OIM VersionJDK          
AMD/Intel PentiumAMD (64 bit)
Intel (32 and 64 bit)
OEL/Red Hat EL 5.3 or higher
 / Oracle VM
BothWebLogic 10.3.09.1.0.1 or higherSun JDK 1.6.0_10 or higher
JRockit 1.6.0_05 or higher
          
WebLogic 10.3.1 and 10.3.29.1.0.2 or higherSun JDK 1.6.0_10 or higher  JRockit 1.6.0_05 or higher          
JBoss 4.2.39.1.0.1 or higherSun JDK 1.6.0_10 or higher          
WebSphere 7.0.0.139.1.0.2 BP13 or laterIBM JDK 1.6.0 or higher          
WebSphere 6.1.0.9 and higher fixpacks9.1.0.1 or higherIBM JDK 1.5.0 or higher          
AMD/Intel PentiumAMD (64 bit)
Intel (32 and 64 bit)
OEL 4.x, Red Hat EL 4.x / Oracle VMBothJBoss 4.0.29.0.1Sun JDK 1.4.2_09 or higher          
JBoss 4.0.3 SP19.0.3Sun JDK 1.4.2_11 or higher          
9.1.0.0 onlySun JDK 1.4.2_11 or higher in 1.4.2_xx series.          
JBoss 4.2.39.1.0.1 or higherSun JDK 1.6.0_10 or higher          
Oracle Containers for J2EE 10.1.3.3 or higher9.0.3Sun JDK 1.5.0_06 or higher          
9.1.0.0 or higherSun jdk 1.5.0_06 or higher          
WebLogic 8.1 SP69.0.3Sun JDK 1.4.2_11 or higher          
9.1.0.0 onlySun JDK 1.4.2_11 or higher          
WebLogic 10.3.09.1.0.1 or higherSun JDK 1.6.0_10 or higher
JRockit 1.6.0_05 or higher
          
WebLogic 10.3.1 and 10.3.29.1.0.2 or higherSun JDK 1.6.0_10 or higher  JRockit 1.6.0_05 or higher          
WebSphere 5.1.1.129.0.1IBM JDK 1.5.0 or higher          
9.0.3IBM JDK 1.5.0 or higher          
WebSphere 6.1.0.9 and higher fixpacks9.1.0.0 or higherIBM JDK 1.5.0 or higher          
WebSphere 7.0.0.139.1.0.2 BP13 or laterIBM JDK 1.6.0 or higher          

Table 3 lists the Oracle Identity Manager certification information for SLES.

Table 3 Oracle Identity Manager Certification for SLES

ProcessorBus ArchitectureOperating System Name and VersionOperating System 32 or 64 bits?Web ContainerCertified OIM VersionJDK      
Pentium
Core 2 Duo
32 bit and 64 bitSLES 1032 bitJBoss 4.0.3 SP19.0.3Sun JDK 1.4.2_11 or higher      
9.1.0.0 onlySun JDK 1.4.2_11 or higher in 1.4.2_xx series.      
JBoss 4.2.39.1.0.1 or higherSun JDK 1.6.0_10 or higher       
Oracle Containers for J2EE 10.1.3.3 or higher9.1.0.0 or higherSun JDK 1.5.0_06 or higher      
WebLogic 10.3.09.1.0.1 or higherSun JDK 1.6.0_10 or higher
JRockit 1.6.0_05 or higher
      
WebLogic 10.3.1 and 10.3.29.1.0.2 or higherSun JDK 1.6.0_10 or higher   JRockit 1.6.0_05 or higher      
WebSphere 6.1.0_219.1.0.1 or higherIBM JDK 1.5.0 or higher      
Pentium64 bitSLES 1064 bitJBoss 4.2.39.1.0.1 or higherSun JDK 1.6.0_10 or higher      
WebLogic 10.3.09.1.0.1 or higherSun JDK 1.6.0_10 or higher
JRockit 1.6.0_05 or higher
      
WebLogic 10.3.1 and 10.3.29.1.0.2 or higherSun JDK 1.6.0_10 or higher   JRockit 1.6.0_05 or higher      
WebSphere 6.1.0_219.1.0.1 or higherIBM JDK 1.5.0 or higher      

2.3 Oracle Identity Manager Windows Certification

Table 4 lists the Oracle Identity Manager certification information for Windows.

Table 4 Oracle Identity Manager Certification for Windows

ProcessorBus ArchitectureOperating System Name and VersionOperating System 32 or 64 bits?Web ContainerCertified OIM VersionJDK
AMD/IntelAMD (64 bit)
Intel (32 and 64 bit)
Windows 2008BothJBoss 4.2.39.1.0.1 or higherSun JDK 1.6.0_10 or higher
WebLogic 10.3.1 and 10.3.29.1.0.2 or higherSun JDK 1.6.0_10 or higher
JRockit 1.6.0_05 or higher
WebSphere 6.1.0_219.1.0.1 or higherIBM JDK 1.5.0 or higher
Intel64 bitWindows 2008 R264 bitJBoss 4.2.39.1.0.2 or higherSun JDK6 Update 17 or higher
WebLogic 10.3.2 or later patchsets9.1.0.2 or higherSun JDK6 Update 17 or higher
WebSphere 6.1.0_279.1.0.2 or higherIBM JDK 1.5.0 or higher
Intel32 bitWindows 2003 R232 bitJBoss 4.0.29.0.1Sun JDK 1.4.2_09 or higher
JBoss 4.0.3 SP19.0.3Sun JDK1.4.2_11 or higher
9.1.0.0 onlySun JDK 1.4.2_11 or higher in 1.4.2_xx series.
JBoss 4.2.39.1.0.1 or higherSun JDK 1.6.0_10 or higher
WebSphere 5.1.1.129.0.1IBM JDK 1.5.0 or higher
9.0.3IBM JDK 1.5.0 or higher
WebSphere 6.1.0.9 and higher fixpacks9.1.0.0 or higherIBM JDK 1.5.0 or higher
WebSphere 7.0.0.13 or higher9.1.0.2 BP13 or laterIBM JDK 1.6.0 or higher
WebLogic 8.1 SP69.0.1Sun JDK 1.4.2_09 or higher
9.0.3Sun JDK 1.4.2_11 or higher
9.1.0.0 onlySun JDK 1.4.2_15 or higher or BEA jrockit_R27.3.1-jdk 1.4.2_14 or higher
WebLogic 10.3.09.1.0.1 or higherSun JDK 1.6.0_10 or higher
JRockit 1.6.0_05 or higher
WebLogic 10.3.1 and 10.3.29.1.0.2 or higherSun JDK 1.6.0_10 or higher JRockit 1.6.0_05 or higher
Oracle Containers for J2EE 10.1.3.3 or higher9.0.3Sun jdk 1.5.0_06 or higher
9.1.0.0 or higherSun jdk 1.5.0_06 and higher
AMD/Intel64 bitWindows 2003 R264 bitOracle Containers for J2EE 10.1.3.3 or higher9.0.3Sun jdk 1.5.0_06 or higher
9.1.0.0 or higherSun jdk 1.5.0_06 and higher
WebLogic 8.1 SP69.1.0.0 onlySun jdk 1.4.2_15 or higher or BEA jrockit_R27.3.1-jdk 1.4.2_14 or higher
JBoss 4.2.39.1.0.1 or higherSun JDK 1.6.0_10 or higher
WebLogic 10.39.1.0.1 or higherSun JDK 1.6.0_10 or higher
JRockit 1.6.0_05 or higher
WebLogic 10.3.1 and 10.3.29.1.0.2 or higherSun JDK 1.6.0_10 or higher
JRockit   1.6.0_05 or higher
WebSphere 6.1.0.9 and higher fixpacks9.1.0.0 or higherIBM JDK 1.5.0 or higher
WebSphere 7.0.0.13 or higher9.1.0.2 BP13 or laterIBM JDK 1.6.0 or higher
Intel32 bitWindows 2003 SP132 bitJBoss 4.0.29.0.1Sun JDK 1.4.2_09 or higher
AMD/Intel32 bitWindows Vista Ultimate32 bitJBoss 4.0.3 SP19.1.0.0 onlySun JDK 1.4.2_15 or higher
WebLogic 8.1 SP69.1.0.0 onlySun JDK 1.4.2_15 or higher or BEA jrockit_R27.3.1-jdk 1.4.2_14 or higher
Oracle Containers for J2EE 10.1.3.3 or higher9.1.0.0 onlySun JDK 1.5.0_12 or higher
Intel32 bitWindows 7BothJBoss4.2.39.1.0.1 or higherSun JDK 1.6.0_10 or higher
WebLogic 10.3.1 and 10.3.29.1.0.1 or higherSun JDK 1.6.0_10 or higher
JRockit 1.6.0_05 or higher

2.4 Oracle Identity Manager AIX Certification

Table 5 lists the Oracle Identity Manager certification information for AIX.

Table 5 Oracle Identity Manager Certification for AIX

ProcessorBus ArchitectureOperating System Name and VersionOperating System 32 or 64 bits?Web ContainerCertified OIM VersionJDK
PowerPC/RISC64 bitAIX 5.332 bitWebSphere 5.1.1.129.0.1IBM JDK 1.5.0 or higher
Oracle Containers for J2EE 10.1.3.3 or higher9.0.3IBM JDK 1.5.0 or higher
PowerPC/RISC64 bitAIX 5.364 bitWebSphere 5.1.1.129.0.3IBM JDK 1.5.0 or higher
WebSphere 6.1.0.9 and higher fixpacks9.1.0IBM JDK 1.5.0 or higher
WebSphere 6.1.0.19 and higher fixpacks9.1.0.1 or higherIBM JDK 1.5.0 or higher  
WebLogic 10.3.09.1.0.1 or higherIBM JDK 1.6.0 or higher
  
WebLogic 10.3.1 and 10.3.29.1.0.2 or higherIBM JDK 1.6.0 higher  
Oracle Containers for J2EE 10.1.3.3 or higher9.1.0.0 or higherIBM JDK 1.5.0 or higher  
PowerPC/RISC64 bitAIX 6.164 bitWebLogic 10.3.29.1.0.2 BP10AIBM JDK 1.6.0  

2.5 Oracle Identity Manager HP-UX Certification

Table 6 lists the Oracle Identity Manager certification information for HP-UX.

Table 6 Oracle Identity Manager Certification for HP-UX

ProcessorBus ArchitectureOperating System Name and VersionOperating System 32 or 64 bits?Web ContainerCertified OIM VersionJDK
PA-RISC64 bitHP-UX 11.x64 bitOracle Containers for J2EE 10.1.3.3 or higher9.0.3HP JDK 1.5.0 or higher
9.1.0.0 or higherHP JDK 1.5.0 or higher
PA-RISC64 bitHP-UX 11i v2 (11.23)64 bitWebLogic 10.3.09.1.0.1 or higherHP JDK 1.6.0_02
    WebLogic 10.3.1 and 10.3.29.1.0.2 or higherHP JDK 1.6.0_02
Itanium64 bitHP-UX 11i v2 (11.23)64 bitWebLogic 10.3.09.1.0.1 or higherHP JDK 1.6.0_02
    WebLogic 10.3.1 and 10.3.29.1.0.2 or higherHP JDK 1.6.0_02

2.6 Oracle Identity Manager Database Certification

Table 7 lists the Oracle Identity Manager certification information for Databases.

Table 7 Oracle Identity Manager Certification Databases

VendorVersionOIM 9.1.0.0 or HigherOIM 9.0.3OIM 9.0.1Notes
Oracle9i (9.2.0.8 and higher)DatabaseDatabaseDatabaseDatabase 
10g (10.1.0.5 and higher)DatabaseDatabaseDatabase  
10g (10.2.0.1 and higher)DatabaseDatabaseDatabase  
10g (10.2.0.2 and higher)Database
RAC
Database
RAC
Database
RAC
  
11gR1 (11.1.0.6 and higher)Database
RAC
Not supportedNot supported  
11gR2 (11.2 and higher)Database
RAC
Not supportedNot supported  
MicrosoftSQL Server 2000 SP3aNot supportedDatabaseDatabase 
MicrosoftSQL Server 2005 SP2Database (OIM 9.1.0.0 is not supported)Not supportedNot supportedOIM 9.1.0.1 or higher 

2.7 Oracle Identity Manager Additional Certifications

Table 8 lists the Oracle Identity Manager Additional Certifications.

Table 8 Oracle Identity Manager Additional Certifications

CategoryVendor ProductVendor VersionPlatformsOIM Version(s)Notes      
SSORSA Cleartrust (single byte)5.5All9.1.0, 9.0.3, 9.0.1       
OAM (single and multi-byte)10.1.4.0.1 and higherAll9.1.0, 9.0.3, 9.0.1Supports ASCII and non-ASCII logins.   Non-ASCII logins require patch 5552617.      
Oracle SSO10.1.4.0.1 and higherAll9.1.0, 9.0.3, 9.0.1Supports ASCII and non-ASCII logins.      
BrowserMicrosoft Internet Explorer6.0 SP2 with Sun Java Plug-in 1.4.2Windows clients9.1.0,  9.0.3, 9.0.1       
6.0 SP2 with Sun Java Plug-in 1.6.0_07Windows clients9.1.0.1 or higher       
7.0 with Sun Java Plug-in 1.4.2Windows clients9.1.0, 9.0.3, 9.0.1       
7.0 with Sun Java Plug-in 1.6.0_07Windows clients9.1.0.1 or higher       
8.0 with Sun Java Plug-in 1.6.0_07Windows clients9.1.0.1 or higher       
Design Console OSMicrosoft Windows2003 R2 9.1.0, 9.0.3, 9.0.1       
Microsoft WindowsXP 9.1.0       
Microsoft WindowsVista Ultimate 9.1.0       
Microsoft WindowsWindows 7 9.1.0.1 or higher       
Remote Manager OSIBM AIX5L 5.3PPC 32 and 64 bit9.1.0, 9.0.3, 9.0.1       
PPC 64 bit9.1.0, 9.0.3, 9.0.1       
OEL/Red Hat EL
 / Oracle VM
5.3 or higherIntel x86 32-bit and EM64T/AMD 64-bit9.1.0.1 or higher       
OEL/Red Hat EL
 / Oracle VM
4Intel x86 32-bit and EM64T/AMD/Itanium 64-bit9.1.0.1 or higher       
HP HP-UX11iPA RISC 64 bit9.1.0, 9.0.3, 9.0.1       
Micorsoft Windows2003 R2Intel/Xeon 32 bit9.1.0, 9.0.3, 9.0.1       
Intel/AMD/Itanium 64 bit9.1.0, 9.0.3, 9.0.1       
Sun Solaris10SPARC 64 bit9.1.0, 9.0.3, 9.0.1       
SLES10Intel/Xeon 32 bit9.1.0, 9.0.3, 9.0.1       
Intel/AMD/Itanium 64 bit9.1.0, 9.0.3, 9.0.1       
Design Console JDK    See server JDK supported for Windows 2003 R2      
Remote Manager JDK    See server JDK on the same OS as Remote Manger      

3 Oracle Identity Manager Connectors Certification


  • Table 9 contains the certification information for Oracle Identity Manager Connectors.
  • Table 10-1 and Table 10-2 contain the certification information for Identity Connector Framework (ICF) Connectors. Table 10-1 lists the Oracle Identity Manager, JDK, and target system version information, whereas Table 10-2 lists the external code and other software or systems information.
  • Table 11 contains the certification information for AOB Connectors.

Table 9 Oracle Identity Manager Connectors Target and Version Information

Oracle Identity Manager Connector and Version (minimum)Oracle Identity Manager 9.x Version (minimum)Oracle Identity Manager 11g Version (minimum)JDK Requirement (minimum)Target System and Version
BMC Remedy Ticket Management

(9.0.4.12)
9.1.0.211.1.11.4.2BMC Remedy AR System 7.0 and 7.1
BMC Remedy User Management

(9.0.4.12)
9.1.0.211.1.11.4.2BMC Remedy AR System 7.0 and 7.1
CA ACF2 Advanced

(9.0.4.14)
9.1.0.111.1.11.5CA ACF2 r6.2, r8.0 SP4 or higher, r9.0 SP1 or higher, r12, r14, r15
CA Top Secret Advanced

(9.0.4.13)
9.1.0.111.1.11.5CA Top Secret r8, r9, r12, r14
Database Application Tables

(9.1.0.5)
9.1.0.1 BP0311.1.1
1.5IBM DB2/UDB Version 9.x running on Microsoft Windows, UNIX, and IBM z/OS platforms
Microsoft SQL Server 2005, 2008
Oracle Database 10g, 11gR1, 11g Release 2 (11.2.0.x) as either single database or Oracle RAC implementation.
Sybase Adaptive Server Enterprise 15.x
MySQL 5.1.30, 5.3, 5.5
 
Database User Management

(9.1.0.4)
9.1.0.2 BP 0811.1.11.5IBM DB2/UDB Version 9.x
Microsoft SQL Server 2000, 2005, 2008
Oracle9i Database, Oracle Database 10g, 11gR1 in RAC or non-RAC mode
Sybase Adaptive Server Enterprise 15.x
MySQL 5.1.30
 
IBM Lotus Notes/Domino

(9.0.4.14)
9.1.0.211.1.1The JDK version can be one of the following:
- For Oracle Identity Manager release 9.1.0.x, use JDK 1.5 or a later release in the 1.5 series.
- For Oracle Identity Manager release 11.1.1, use JDK 1.6 or later release in the 1.6 series
 
IBM Lotus Notes/Domino 6.5, 7.x, 8.0.x, 8.5, 8.5.1, 8.5.2
IBM i5/OS (AS/400) Advanced

(9.0.4.14)
9.1.0.111.1.11.5IBM i5/OS and OS/400 releases V5R2, V5R3, V5R4, V6R1
IBM RACF Advanced

(9.0.4.15)
9.1.0.111.1.11.5IBM RACF on z/OS V1.9 and above
IBM RACF Standard

(9.0.4.12)
9.1.0.111.1.11.4.2IBM RACF on z/OS 1.9
JDEdwards Enterprise One

(9.0.4.12)
9.1.0.111.1.11.4.2JD Edwards Enterprise One Tools 8.96, 8.98, and Application 8.12
Microsoft Active Directory

(9.1.1.7)
9.1.0.211.1.11.5Microsoft Active Directory installed on Windows Server 2003 Active Directory or Windows Server 2003 Active Directory Application Mode on Windows Server 2003 SP1 or higher
Microsoft Active Directory installed on Windows Server 2008 Active Directory on
Microsoft Active Directory installed on Windows Server 2008 R2
 
Microsoft Active Directory Password Sync

(9.1.1.5)
Oracle Identity Manager release 9.1.0.0 and any later BP in this release track

In this guide, Oracle Identity Manager release 9.1.0.x has been used to denote Oracle Identity Manager release 9.1.0.0 and future releases in the 9.1.0.x series that the connector supports.
 
You can use one of the following releases of Oracle Identity Governance or Oracle Identity Manager:

-O
racle Identity Governance 12c (12.2.1.3.0)
- Oracle Identity Manager 11g release 1 (11.1.1.3.0) and any later BP in this release track
Note: In this guide, Oracle Identity Manager release 11.1.1 has been used to denote Oracle Identity Manager 11g Release 1 (11.1.1).
- Oracle Identity Manager 11g release 1 PS1 (11.1.1.5.0) and any later BP in this release track
- Oracle Identity Manager 11g release 1 PS2 (11.1.1.7.0) and any later BP in this release track
- Oracle Identity Manager 11g release 2 BP02 (11.1.2.0.2) and any later BP in this release track
Note: In this guide, Oracle Identity Manager release 11.1.2.x has been used to denote all releases in the Release 2 track listed here, and future releases in the 11.1.2.x series that the connector supports.
- Oracle Identity Manager 11g release 2 PS1 (11.1.2.1.0) and any later BP in this release track
- Oracle Identity Manager 11g release 2 PS2 (11.1.2.2.0) and any later BP in this release track
1.5Microsoft Active Directory 2003 (x86 or x64)
Microsoft Active Directory 2008 (x86 or x64)
Microsoft Active Directory 2012 (x64)
Microsoft Active Directory 2012 R2 (x64)
Microsoft Active Directory 2016 (x64)
Microsoft Exchange

(9.1.1.7)
9.1.0.211.1.11.5Microsoft Exchange Server 2003 on Windows Server 2003
Microsoft Exchange Server 2007 on Windows Server 2008
Microsoft Exchange Server 2007 on Windows Server 2008 R2
Microsoft Exchange Server 2010 on Windows Server 2008 R2
 
Microsoft Windows

(9.0.4.12)
9.1.0.111.1.11.6Microsoft Windows Server 2003, 2008
Novell eDirectory

(9.0.4.14)
9.1.0.111.1.11.4.2Novell eDirectory 8.7.3, 8.8
Novell GroupWise

(9.0.4.12)
9.1.0.111.1.11.4.2Novell GroupWise 6.5, 7.0, 8.0

Note: This connector can be installed and used only if Oracle Identity Manager is deployed on a computer that is running Microsoft Windows. This is because the target supports only Windows APIs.
 
Oracle e-Business Employee Reconciliation

(9.1.0.7)
9.1.0.2 BP0211.1.11.5Oracle E-Business Suite 11.5.10, 12.0.x, or 12.1.x . These applications may run on Oracle Database 10g or Oracle Database 11gR1, in either RAC or non-RAC mode.
Oracle e-Business User Management

(9.1.0.7)
9.1.0.2 BP0211.1.11.5Oracle E-Business Suite 11.5.10, 12.0.x, or 12.1.x. These applications may run on Oracle Database 10g or Oracle Database 11gR1, in either RAC or non-RAC mode.
Oracle Internet Directory

(9.0.4.14)
9.1.0.111.1.1.31.4.2Oracle Internet Directory release 10.1.x, or 11gR1
Oracle Retail Warehouse Management System

(9.0.4.12)
9.1.0.111.1.11.4.2Oracle Retail Warehouse Management System Release 12.0
PeopleSoft Employee Reconciliation

(9.1.1.6)
9.1.0.2 BP0511.1.11.5HCM 8.9 with PeopleTools 8.49
HCM 9.0 with PeopleTools 8.49, 8.50
HCM 9.1 with PeopleTools 8.50, 8.51, 8.52
PeopleSoft User Management

(9.1.1.6)
9.1.0.2 BP0511.1.11.5PeopleTools 8.49, 8.50, 8.51, 8.52
RSA Authentication Manager

(9.1.0.7)
9.1.0.2 BP05You can use one of the following releases of Oracle Identity Manager:

- Oracle Identity Manager 11g release 1 (11.1.1)
- Oracle Identity Manager 11g release 2 BP04 (11.1.2.0.4) or later.
The JDK version can be one of the following:

- For Oracle Identity Manager release 9.1.0.x, use JDK 1.5 or a later release in the 1.5 series.
- For Oracle Identity Manager release 11.1.1 and 11.1.2.x, use JDK 1.6 update 18 or later or JRockit JDK 1.6 update 17 or later.
 
RSA Authentication Manager 7.1 with SP3 or later
RSA ClearTrust

(9.0.4.12)
9.1.0.111.1.11.4.2RSA ClearTrust 5.5.x, 6.0.x, 6.1.x
SAP Employee Reconciliation

(9.1.2.2)
9.1.0.2 BP04You can use one of the following releases of Oracle Identity Governance or Oracle Identity Manager:

-
Oracle Identity Governance 12c (12.2.1.3.0)
-
Oracle Identity Manager 11g release 1 (11.1.1.3.0) and any later BP in this release track
-
Oracle Identity Manager 11g release 1 PS1 (11.1.1.5.0) and any later BP in this release track
-
Oracle Identity Manager 11g release 1 PS2 (11.1.1.7.0) and any later BP in this release track
-
Oracle Identity Manager 11g release 2 BP04 (11.1.2.0.4) and any later BP in this release track
-
Oracle Identity Manager 11g release 2 PS1 (11.1.2.1.0) and any later BP in this release track
- Oracle Identity Manager 11g release 2 PS2 (11.1.2.2.0) and any later BP in this release track
- Oracle Identity Manager 11g release 2 PS3 (11.1.2.3.0) and any later BP in this release track
For Oracle Identity Manager release 11.1.x and 11.1.2.x, Sun/IBM JDK 1.6 update 18 or later.SAP R/3 4.7 SP 45 (running on WAS 6.20) BASIS SP 48 or later
mySAP ERP 2004 (ECC 5.0 running on WAS 6.40) BASIS SP 22 or later
mySAP ERP 2005 (ECC 6.0 running on WAS 7.00) BASIS SP 13 or later
SAP ERP 6.0 (running on SAP NetWeaver 7.0 or later) with EHP 1 to 6
SAP ERP 6.0 (running on SAP NetWeaver 7.4 or later) with EHP7
SAP ERP 6.0 (running on SAP NetWeaver 7.5 or later) with EHP 8

In addition, you require the following SAP custom code files:
sapjco3.jar version 3.0.2 or later
Additional file for Microsoft Windows: sapjco3.dll version 3.0.2
Additional file for AIX, Solaris, and Linux: libsapjco3.so version 3.0.2

Note: There are different distribution packages (JCo) 3.0.2 available for various supported platforms and processors. See, JCo documentation for more information about using JCo 3.0.2 packages as per your environment.
SAP Enterprise Portal

(9.0.4.12)
9.1.0.111.1.11.4.2SAP Enterprise Portal 7.0
SAP User Management

(9.1.2.2)
9.1.0.2 BP0411.1.11.5SAP R/3 4.7 SP 45 (running on WAS 6.20) BASIS SP 48 or later
mySAP ERP 2004 (ECC 5.0 running on WAS 6.40) BASIS SP 22 or later
mySAP ERP 2005 (ECC 6.0 running on WAS 7.00) BASIS SP 13 or later
GRC 5.2 SP4 or later, 5.3 SP 5 or later
CUA is supported.
 
Siebel Enterprise Applications

(9.0.4.15)
9.1.0.211.1.11.5Siebel 7.5 through Siebel CRM 8.1.1
Sun Java System Directory

(9.0.4.12)
9.1.0.111.1.11.4.2Sun ONE Directory Server 5.2
Sun Java System Directory Server Enterprise Edition 6.3 and DSEE 7.0
UNIX SSH

(9.0.4.15)
9.1.0.111.1.11.4.2HP-UX 11.11, 11.20, and 11.31
IBM AIX 5L Version 5.2, 5.3 (IBM AIX 5.2 has been deprecated. Oracle Fusion Middleware 10.1.4 support has ended on AIX 5.2, as it reached end of life on April 30, 2009. For more information on IBM’s support policy, refer to http://www-01.ibm.com/
software/support/systemsp/
lifecycle/index.html)
Oracle Enterprise Linux 5.2
Red Hat Enterprise Linux AS 2.1, 3, 4.x, Red Hat Enterprise Linux ES 3, 4.x
Solaris 8, 9, 10
 
UNIX Telnet

(9.0.4.15)
9.1.0.111.1.11.4.2HP-UX 11.11 and 11.20
IBM AIX 5L Version 5.2, 5.3, and 6.1

Note: IBM AIX 5.2 has been deprecated. Oracle Fusion Middleware 10.1.4 support has ended on AIX 5.2, as it reached end of life on April 30, 2009. For more information on IBM’s support policy, refer to http://www-01.ibm.com/
software/support/systemsp/
lifecycle/index.html
Oracle Enterprise Linux 5.2
Red Hat Enterprise Linux AS 2.1, 3, 4.x, Red Hat Enterprise Linux ES 3, 4.x
Solaris 8, 9, 10
 


Note: The minimum JDK version is the threshold for Oracle Identity Manager connectors. If the Oracle Identity Manager server requires a higher version, that higher JDK version overrides the Connector minimum version.

Table 10-1 Oracle Identity Manager, JDK, and Target Version Information for ICF Connectors

Oracle Identity Manager Connector and Version (minimum)Connector Server Version (minimum)Oracle Identity Governance or Oracle Identity ManagerConnector Server JDK  (minimum)Target System and Version
AS400

(11.1.1.6.0)
11.1.2.1.0You can use one of the following releases of Oracle Identity Governance or Oracle Identity Manager:

- Oracle Identity Governance 12c (12.2.1.3.0)
-
Oracle Identity Manager 11g Release 1 (11.1.1.5.0) and any later BP in this release track
and any later BP in this release track
- Oracle Identity Manager 11g Release 2 BP04 (11.1.2.0.4) and any later BP in this release track
and any later BP in this release track
- Oracle Identity Manager 11g Release 2 PS3 (11.1.2.3.0) and any later BP in this release track
 

JDK 1.6 or later

AS400 (also known as OS/400, i5/OS, and IBM i) v5r4, IBM i 6.1, and IBM i 7.1, IBM i 7.2, and IBM i 7.3
BMC Remedy User Management

(11.1.1.5.0)
11.1.2.0.0You can use one of the following releases of Oracle Identity Manager:

- Oracle Identity Manager 11g Release 1 PS1 BP07 (11.1.1.5.7)
and any later BP in this release track
- Oracle Identity Manager 11g Release 2 BP04 (11.1.2.0.4) 
and any later BP in this release track
- Oracle Identity Manager 11g Release 2 PS3 (11.1.2.3.0) and any later BP in this release track
JDK 1.6 update 24 or later, or JRockit JDK 1.6 update 17 or later

 
BMC Remedy AR System 7.1 through 9.1

Note: The target system does not support SSL communication.
Box

(11.1.1.5.0)

 
11.1.2.1.0You can use one of the following releases of Oracle Identity Manager:

-
Oracle Identity Governance 12c (12.2.1.3.0)
-
Oracle Identity Manager 11g Release 2 PS3 BP06 (11.1.2.3.6) and any later BP in this release track
- Oracle Identity Manager 11g Release 2 PS2 BP09 (11.1.2.2.9) and any later BP in this release track
 

JDK 1.6 or later



 
Box
Concur

(11.1.1.5.0)
11.1.2.1.0You can use one of the following releases of Oracle Identity Manager:

-
Oracle Identity Manager 11g Release 2 PS2 BP09 (11.1.2.2.9) and any later BP in this release track
- Oracle Identity Manager 11g Release 2 PS3 BP06 (11.1.2.3.6) and any later BP in this release track
 

JDK 1.6 or later



 
Concur
Database Application Tables

(11.1.1.6.0)
 11.1.2.1.0You can use one of the following releases of Oracle Identity Governance or Oracle Identity Manager:

- Oracle Identity Governance 12c (12.2.1.3.0)
- Oracle Identity Manager 11g Release 2 PS3 (11.1.2.3.0) and any later BP in this release track
- Oracle Identity Manager 11g Release 2 PS2 (11.1.2.2.0) and any later BP in this release track
- Oracle Identity Manager 11g Release 2 PS1 (11.1.2.1.0) and any later BP in this release track
-
Oracle Identity Manager 11g Release 2 BP10 (11.1.2.0.10) and any later BP in this release track


JDK 1.6 or later

 
The target system can be database tables from any one of the following RDBMSs:

- IBM DB2 Version 9.x, 10.x
- Microsoft SQL Server 2005, 2008, 2012, 2014
- MySQL 5.x
- Oracle Database 10g and 11g as either single databse or
Oracle RAC implementation
- Oracle Database 12c as single database, pluggable database (PDB), or Oracle RAC implementation
- Sybase Adaptive Server Enterprise 15.x
 
 
Database User Management

(11.1.1.5.0)
11.1.2.1.0You can use one of the following releases of Oracle Identity Manager:

-
Oracle Identity Manager release 11g PS1 (11.1.1.5.3) with patches 14163597 and 13897038, and any later BP in this release track
-
Oracle Identity Manager 11g Release 2 (11.1.2.0.4) and any later BP in this release track
JDK 1.6 or later, or JRockit JDK 1.6 or laterThe target system can be any one of the following:

- Exadata V2
- Oracle9i Database
- Oracle Database 10g, 11g, as either single database or Oracle RAC implementation
- Oracle Database 12c as single database, pluggable database (PDB), or Oracle RAC implementation
- Microsoft SQL Server 2005, 2008, 2012, 2014
- MySQL 5.x
- IBM DB2 UDB 9.x
- Sybase 15.x
 
Dropbox

(11.1.1.5.0)
11.1.2.1.0You can use one of the following releases of Oracle Identity Manager:

-
Oracle Identity Manager 11g Release 2 PS2 BP09 (11.1.2.2.9) and any later BP in this release track
-
Oracle Identity Manager 11g Release 2 PS3 BP06 (11.1.2.3.6) and any later BP in this release track
-Dropbox

Note: Oracle Identity Manager manages Dropbox by using Microsoft Active Directory (AD) as a middleware. Therefore, AD is configured as a user source for performing all of the user management operations in Dropbox.
Flat File

(11.1.1.5.0)
11.1.1.5.0 or laterYou can use one of the following releases of Oracle Identity Manager:

- Oracle Identity Manager 11g Release 2 PS2 (11.1.2.2.0) and BP05 in the same release track
- Oracle Identity Manager 11g Release 2 BP13 (11.1.2.0.13) and any later BP in this release track
- Oracle Identity Manager 11g Release 2 PS1 BP04 (11.1.2.1.4) and any later BP in this release track
- Oracle Identity Manager 11g Release 2 PS3 (11.1.2.3.0) and any later BP in this release track
JDK 1.6 or laterAny enterprise target system that can export users, accounts, or entitlements to a flat file.
Fusion Apps

(11.1.1.5.0)
11.11.5.0- Oracle Identity Manager 11g Release 2 PS3 (11.1.2.3.0) and any later BP in this release track
- Oracle Identity Governance 12c (12.2.1.3.0)
JDK 1.6 or laterFusion Apps Release 12
Fusion Apps Release 13
Generic REST

(11.1.1.5.0)
11.1.2.1.0You can use one of the following releases of Oracle Identity Manager:

-
Oracle Identity Governance 12c (12.2.1.3.0)
-
Oracle Identity Manager 11g Release 2 PS2 (11.1.2.2.0) and any later BP in this release track
-
Oracle Identity Manager 11g Release 2 PS3 (11.1.2.3.0) and any later BP in this release track
 
JDK 1.6 or laterAny target system that supports REST service.
Generic SCIM

(11.1.1.5.0)
11.1.2.1.0You can use one of the following releases of Oracle Identity Manager:

-
Oracle Identity Manager 11g Release 2 PS2 (11.1.2.2.0) and any later BP in this release track
-
Oracle Identity Manager 11g Release 2 PS3 (11.1.2.3.0) and any later BP in this release track

JDK 1.6 or laterAny target system that supports SCIM-based service.
Generic Scripting

(11.1.1.5.0)
11.1.2.1.0You can use one of the following releases of Oracle Identity Governance or Oracle Identity Manager:

-
Oracle Identity Manager 11g Release 2 PS2 (11.1.2.2.0) and any later BP in this release track
-
Oracle Identity Manager 11g Release 2 PS3 (11.1.2.3.0) and any later BP in this release track
- Oracle Identity Governance 12c (12.2.1.3.0)
- Oracle Identity Governance 19c (19.1.0.0.0)

JDK 1.6 or laterAny target system that can be connected through BeanShell, Groovy, or JavaScript.

The following are examples of the target system:
- Any JDBC compliant database
- Any resource over SOAP, HTTP, or REST that supports XML or JSON
Google Apps

(11.1.1.7.0)
1.4.0You can use one of the following releases of Oracle Identity Governance or Oracle Identity Manager:

- Oracle Identity Governance 12c (12.2.1.3.0)
- Oracle Identity Manager 11g Release 1 (11.1.1.5.0) and any later BP in this release track
and any later BP in this release track
- Oracle Identity Manager 11g Release 2 (11.1.2.0.4) and any later BP in this release track
and any later BP in this release track
-
Oracle Identity Manager 11g Release 2 PS2 (11.1.2.2.0) and any later BP in this release track
- Oracle Identity Manager 11g Release 2 PS3 (11.1.2.3.0) and any later BP in this release track

JDK 1.6 or laterGoogle Apps 
GoToMeeting

(11.1.1.5.0)
11.1.2.1.0You can use one of the following releases of Oracle Identity Manager:

- Oracle Identity Governance 12c (12.2.1.3.0)
- Oracle Identity Manager 11g Release 2 PS3 BP06 (11.1.2.3.6) and any later BP in this release track
- Oracle Identity Manager 11g Release 2 PS2 BP09 (11.1.2.2.9) and any later BP in this release track
JDK 1.6 or laterCitrix Admin Center
IBM Lotus Notes and Domino

(11.1.1.6.0)
11.1.2.1.0You can use one of the following releases of Oracle Identity Governance or Oracle Identity Manager:

- Oracle Identity Governance 12c (12.2.1.3.0)
- Oracle Identity Manager 11g Release 1 Patch Set 1 (11.1.1.5.4) and any later BP in this release track
- Oracle Identity Manager 11g Release 2 (11.1.2.0.0) and any later BP in this release track
- Oracle Identity Manager 11g Release 2 PS3 (11.1.2.3.0) and any later BP in this release track
For Oracle Identity Manager 11g Release 2 (11.1.2.0) and any later BP in this release track, use JDK 1.6 or laterIBM Lotus Notes/Domino 8, 8.5.x, 9.0, 9.0.1

Note: You must install IBM Lotus Notes on the same computer as the connector.
JD Edwards User Management

(11.1.1.5.0)
11.1.1.5.0You can use one of the following releases of Oracle Identity Manager:

- Oracle Identity Manager 11g Release 1 (11.1.1.5.6) BP06 (with patch 15971939) and any later BP in this release track
- Oracle Identity Manager 11g Release 2 (11.1.2.0.4) and any later BP in this release track
JDK 1.6 update 18 or later, or JRockit JDK 1.6 update 17 or later

Note
- If you are using JD Edwards Enterprise One Tools 9.2 and Application 9.2 along with a connector server, then use JDK 1.7.0_40 as the minimum version in the Connector Server.
- If you are using JD Edwards Enterprise One Tools 9.2 without a connector server and Oracle Identity Manager is not using JDK 1.7.0_40, then perform one of the following:
* Refer to the Oracle Identity Manager certification matrix and upgrade the JDK version used by Oracle Identity Manager to JDK 1.7.0_40.
* If JDK 1.7.0_40 is not supported for Oracle Identity Manager, then it is mandatory to use a Connector Server with minimum version JDK of 1.7.0_40
The target system be any one of the following:

- JD Edwards Enterprise One Tools 8.98 and Application 8.12
- JD Edwards Enterprise One Tools 9.1.2 and Application 9.0.2
- JD Edwards Enterprise One Tools 9.1.2 and Application 9.1
- JD Edwards Enterprise One Tools 9.1.4.2 and Application 9.1
- JD Edwards Enterprise One Tools 9.2.1.4 and Application 9.2

Note: If you are using JDE Tools 9.2.x, download and apply JDE Connector 11.1.1.6.0A Patch 27009976 as
recon operations may throw NullPoint
Exception error. You can download the patch from the Patches and Updates page at:
https://support.
oracle.com/
 
Microsoft Active Directory User Management

(11.1.1.6.0)
11.1.2.1.0 or laterYou can use one of the following releases of Oracle Identity Governance or Oracle Identity Manager:

- Oracle Identity Governance 12c Release (12.2.1.3.0)
- Oracle Identity Manager 11g Release 2 PS3 (11.1.2.3.0) and any later BP in this release track
- Oracle Identity Manager 11g Release 2 PS2 (11.1.2.2.0) and any later BP in this release track
-Oracle Identity Manager 11g Release 2 (11.1.2.0.6) and any later BP in this release track
-Oracle Identity Manager 11g Release 1 (11.1.1.5.6) and any later BP in this release track

 
-The target system can be any one of the following:

- Microsoft Active Directory installed on Microsoft Windows Server 2003, both 32-bit and 64-bit platforms
- Microsoft Active Directory installed on Microsoft Windows Server 2003 R2, both 32-bit and 64-bit platforms
- Microsoft Active Directory installed on Microsoft Windows Server 2008, both 32-bit and 64-bit platforms
- Microsoft Active Directory installed on Microsoft Windows Server 2008 R2, both 32-bit and 64-bit platforms
- Microsoft Active Directory installed on Microsoft Windows Server 2012
-Microsoft Active Directory installed on Microsoft Windows Server 2012 R2, 64-bit platform
-Microsoft Active Directory installed on Microsoft Windows Server 2016, 64-bit platform
- Microsoft Active Directory Application Mode installed on Microsoft Windows Server 2003, both 32-bit and 64-bit platforms
- Microsoft Active Directory Application Mode installed on Microsoft Windows Server 2003 R2, both 32-bit and 64-bit platforms
- Microsoft Active Directory Lightweight Directory Services installed on Microsoft Windows Server 2008, both 32-bit and 64-bit platforms
- Microsoft Active Directory Lightweight Directory Services installed on Microsoft Windows Server 2008 R2, both 32-bit and 64-bit platforms
-Microsoft Active Directory Lightweight Directory Services installed on Microsoft Windows Server 2012, 64-bit platform
-Microsoft Active Directory Lightweight Directory Services installed on Microsoft Windows Server 2012 R2, 64-bit platform
-Microsoft Active Directory Lightweight Directory Services installed on Microsoft Windows Server 2016, 64-bit platform
 
Microsoft Exchange

(11.1.1.6.0)
11.1.2.1.0You can use one of the following releases of Oracle Identity Governance or Oracle Identity Manager:

- Oracle Identity Governance 12c (12.2.1.3.0)

- Oracle Identity Manager 11g Release 1 (11.1.1.5.6) and any later BP in this release track
- Oracle Identity Manager 11g Release 2 (11.1.2.0.6) and any later BP in this release track
- Oracle Identity Manager 11g Release 2 PS2 (11.1.2.2.0) and any later BP in this release track
- Oracle Identity Manager 11g Release 2 PS3 (11.1.2.3.0) and any later BP in this release track
JDK 1.6 update 24 or laterThe target system can be any one or the combination of the following:

- Microsoft Exchange 2007 SP1, SP2, SP3 (64-bit)
- Microsoft Exchange 2010 RTM, SP1, SP2, SP3 (64-bit)
- Microsoft Exchange 2013, 2016
For the Exchange 2013, 2016 support, patch 25467073 must be applied on Release 11.1.1.6.0 of the Exchange Connector. This patch can be obtained from My Oracle Support under Patches and Updates.
Office 365

(11.1.1.5.0)
11.1.2.1.0You can use one of the following releases of Oracle Identity Manager:

-
Oracle Identity Manager 11g Release 2 PS2 (11.1.2.2.0) and any later BP in this release track
- Oracle Identity Manager 11g Release 2 PS3 (11.1.2.3.0) and any later BP in this release track
JDK 1.6 or LaterMicrosoft Office 365 Enterprise Editions
Oracle CRM On Demand

(11.1.1.5.0)
11.1.2.1.0You can use one of the following releases of Oracle Identity Manager:

- O
racle Identity Manager 11g Release 1 BP01 (11.1.1.5.1) and any later BP in this release track
- O
racle Identity Manager 11g Release 2 BP04 (11.1.2.0.4) and any later BP in this release track
JDK 1.6 Update 24 or later, or JRockit JDK 1.6 Update 24 or laterOracle CRM On Demand Release 19
Oracle E-Business HRMS

(11.1.1.5.0)
11.1.2.1.0

Note: The JDBC driver ojdbc.jar is supported with character sets such as US7ASCII, WE8DEC,
WE8ISO 8859P1, WE8MS WIN1252, and UTF8.

To use any other character sets and ensure all connector operations work successfully with the Connector Server, download the orai18n.jar file from the Oracle JDBC drivers OTN page and copy it to the lib directory of Connector Server.

You can use one of the following releases of Oracle Identity Governance or Oracle Identity Manager:

- Oracle Identity Governance 12c (12.2.1.3.0)
- Oracle Identity Manager 11g Release 2 PS3 (11.1.2.3.0) and any later BP in this release track

Note: You must download and apply the patch 21687999. To download a patch, sign in to My Oracle Support and search for the patch number on the Patches and Updates page.
 

JDK 1.6 or laterThe target system can be any one of the following:

- Oracle E-Business Suite 12.1.1 through 12.1.3
- Oracle E-Business Suite 12.2.1 through 12.2.6
These applications may run on Oracle Database 10g, 11g, or 12c as either single database or Oracle RAC implementation.

Note:
Communication between Oracle Identity Manager and the target system can be in SSL or non-SSL mode.
Oracle
E-Business Suite User Management

(11.1.1.5.0)
11.1.2.1.0

Note: The JDBC driver ojdbc.jar is supported with character sets such as US7ASCII, WE8DEC, WE8ISO 8859P1, WE8MS WIN1252, and UTF8.

To use any other character sets and ensure all connector operations work
successfully with the Connector Server, download the orai18n.jar file from the Oracle JDBC drivers OTN page and copy it to the lib directory of Connector Server.
You can use one of the following releases of Oracle Identity
Governance or Oracle Identity Manager:

- Oracle Identity Governance 12(12.2.1.3.0) and any later BP in this release track
- Oracle Identity Manager 11g Release 2 PS2 (11.1.2.2.0) and any later BP in this release track
- Oracle Identity Manager 11g Release 2 PS3 (11.1.2.3.0) and any later BP in this release track
JDK 1.6 or laterThe target system can be any one of the following:

- Oracle E-Business Suite 12.2.1 through 12.2.6
These applications may run on Oracle Database 10g, 11g, or 12c, as either single database or Oracle RAC
implementation.

Note:
Communication between Oracle Identity Manager and the target system can be in SSL or non-SSL mode.
Oracle Identity Cloud Services

(11.1.1.5.0)
11.1.2.1.0You can use one of the following releases of Oracle Identity Governance or Oracle Identity Manager:
- Oracle Identity Governance 12c (12.2.1.3.0)
- Oracle Identity Manager 11g Release 2 PS3 (11.1.2.3.0) and any later BP in this release track

JDK 1.6 or laterOracle Identity Cloud Service 16.3.6 or later
Oracle Internet Directory

(11.1.1.6.0)
11.1.2.1.0You can use one of the following releases of Oracle Identity Governance or Oracle Identity Manager:

- Oracle Identity Governance 12c (12.2.1.3.0)
- Oracle Identity Manager (11.1.1.5.3) BP03 and any later BP in this release release track with patches 14163597 and 13897038
If you are using Oracle Identity Manager 11.1.1.5.3, you must download and apply patches 14163597 and 13897038. To download a patch, sign in to My Oracle Support and search for the patch number on the Patches and Updates page at:
https://support.
oracle.com/
- Oracle Identity Manager 11g Release 2 PS2 (11.1.2.0.4) and any later BP in this release track
- Oracle Identity Manager 11g Release 2 PS 1 (11.1.2.1.0) and any later BP in this release track
- Oracle Identity Manager 11g Release 2 PS2 (11.1.2.2.0) and any later BP in this release track
- Oracle Identity Manager 11g Release 2 PS3 (11.1.2.3.0) and any later BP in this release track

JDK or JRE 1.7 and aboveThe target system can be any one of the following:

- Oracle Directory Server Enterprise Edition 11g release 1 (11.1.1.5.0 and 11.1.1.7.2)
- Oracle Unified Directory 11g release (11.1.1.5.0, 11.1.2.0.0, and 11.1.2.2.0, and 11.1.2.3.0), and 12c release (12.2.1.3.0)
- Oracle Internet Directory release 9.x, 10.1.4.x, and 11g release 1 (11.1.1.5.0, 11.1.1.6.0, 11.1.1.7.0, and 11.1.1.9.0), and 12c release (12.2.1.3.0)
- Oracle Virtual Directory 10g and 11g release 1 (11.1.1.5.0)
- Novell eDirectory 8.7.3 and 8.8
- Sun Java System Directory Server Enterprise Edition 6.3 and 7.0
- Sun ONE Directory Server 5.2
- An LDAPv3 compliant directory server
PeopleSoft Campus

(11.1.1.5.0)
11.1.2.1.0You can use one of the following releases of Oracle Identity Manager:

- Oracle Identity Manager 11g Release 1 (11.1.1.5.0) BP06 and any later BP in this release track
- Oracle Identity Manager 11g Release 2 (11.1.2.0.0) and any later BP in this release track
- Oracle Identity Manager 11g Release 2 PS3 (11.1.2.3.0) and any later BP in this release track
JDK 1.6 or later, or JRockit 1.6 or later- PeopleSoft Campus Solutions Maintenance Pack 9.0 Bundle 27 with PeopleTools 8.50
- PeopleSoft Campus Solutions Maintenance Pack 9.0 with PeopleTools 8.51
- PeopleSoft Campus Solutions Maintenance Pack 9.0 with PeopleTools 8.52
- PeopleSoft Campus Solutions Maintenance Pack 9.0 with PeopleTools 8.53
- PeopleSoft Campus Solutions Maintenance Pack 9.2 with PeopleTools 8.54
- PeopleSoft Campus Solutions Maintenance Pack 9.2 with PeopleTools 8.55
- PeopleSoft Campus Solutions Maintenance Pack 9.2 with PeopleTools 8.56
PeopleSoft Employee Reconciliation

(11.1.1.6.0)
11.1.2.1.0
You can use one of the following releases of Oracle Identity Governance or Oracle Identity Manager:

- Oracle Identity Manager release 11.1.1.5 BP02 and any later BP in this release track
- Oracle Identity Manager 11g Release 2 PS2 (11.1.2.2.0) and any later BP in this release track
- Oracle Identity Manager 11g Release 2 PS3 (11.1.2.3.0) and any later BP in this release track
- Oracle Identity Governance 12c (12.2.1.3.0)
JDK 1.6 or later, or JRockit 1.6 or laterThe target system can be any one of the following:

- PeopleSoft HRMS 8.9 with PeopleTools 8.49
- PeopleSoft HRMS 8.9 with PeopleTools 8.50
- PeopleSoft HRMS 9.0 with PeopleTools 8.49
- PeopleSoft HRMS 9.0 with PeopleTools 8.50
- PeopleSoft HRMS 9.0 with PeopleTools 8.52
- PeopleSoft HRMS 9.1 with PeopleTools 8.50
- PeopleSoft HRMS 9.1 with PeopleTools 8.51
- PeopleSoft HRMS 9.1 with PeopleTools 8.52
- PeopleSoft HRMS 9.1 with PeopleTools 8.53
- PeopleSoft HRMS 9.2 with PeopleTools 8.53
- PeopleSoft HRMS 9.2 with PeopleTools 8.54
- PeopleSoft HRMS 9.2 with PeopleTools 8.55
- PeopleSoft HRMS 9.2 with PeopleTools 8.56
- PeopleSoft HRMS 9.2 with PeopleTools 8.57
PeopleSoft User Management

(11.1.1.6.0)
11.1.2.1.0
You can use one of the following releases of Oracle Identity Governance or Oracle Identity Manager:

- Oracle Identity Manager 11g Release 1 BP06 (11.1.1.5.6) and any later BP in this release track
- Oracle Identity Manager 11g Release 2 BP04 (11.1.2.0.4) and any later BP in this release track
- Oracle Identity Manager 11g Release 2 PS2 (11.1.2.2.0) and any later BP in this release track
- Oracle Identity Manager 11g Release 2 PS3 (11.1.2.3.0) and any later BP in this release track
- Oracle Identity Governance 12c (12.2.1.3.0)
JDK 1.6 Update 24 or later, or JRockit 1.6 or later

If you are using PeopleTools 8.53, PeopleTools 8.54, or PeopleTools 8.55, then the following is the JDK
requirement:

- If you are already using a Connector Server, then it is mandatory to use JDK 1.7.0_02 as the minimum version in the Connector Server.
- If you are not using Connector Server and Oracle Identity Manager is not using JDK 1.7.0_02, then follow one of the following steps:
* Refer the Oracle Identity Manager certification matrix and upgrade the JDK version used by Oracle Identity Manager to JDK 1.7.0_02 if it is supported.

* If JDK 1.7.0_02 is not supported for Oracle Identity Manager, then it is mandatory to use a Connector Server with minimum JDK 1.7.0_02.
- If you are using People
Tools 8.56, then the following is the JDK
requirement:

* If you are already using a Connector Server, then it is mandatory to use JDK 1.8.0_40 as the minimum version in the Connector Server.

- If you are not using Connector Server and Oracle Identity Manager is not using JDK 1.8.0_40, then follow one of the following steps:

* Refer the oracle Identity Manager certification matrix and upgrade the JDK version used by Oracle Identity Manager to JDK 1.8.0_40 if it is supported.
* If JDK 1.8.0_40 is not supported for Oracle Identity Manager, then it is mandatory to use a Connector Server with minimum JDK 1.8.0_40
The target system can be any one of the following:

- PeopleTools 8.48
- PeopleTools 8.49
- PeopleTools 8.50
- PeopleTools 8.51
- PeopleTools 8.52
- PeopleTools 8.53
- PeopleTools 8.54
- PeopleTools 8.55
- PeopleTools 8.56
- People Tools 8.57
RSA
Authentication
Manager

(11.1.1.5.0)

11.1.2.1.0

You can use one of the following releases of Oracle Identity Manager:

-
Oracle Identity Manager 11g Release 2 (11.1.2.0.0) and any later BP in this release track
-
Oracle Identity Manager 11g Release 2 PS1 (11.1.2.1.0) and any later BP in this release track
-
Oracle Identity Manager 11g Release 2 PS2 (11.1.2.2.0) and any later BP in this release track
-Oracle Identity Manager 11g Release 2 PS3 (11.1.2.3.0) and any later BP in this release track

JDK 1.6 or later

You can use one of the following supported versions of the target system:

- RSA Authentication Manager 8.0
- RSA Authentication Manager 8.1
- RSA Authentication Manager 8.2

Salesforce

(11.1.1.5.0)

1.4.0

You can use one of the following releases of Oracle Identity Manager:

- Oracle Identity Governance 12c (12.2.1.3.0)
- Oracle Identity Manager 11g Release 2 PS3 (11.1.2.3.0) and any later BP in this release track
-
Oracle Identity Manager 11g Release 2 PS2 (11.1.2.2.0) and any later BP in this release track

JDK 1.6 or later

Salesforce Winter 2012 and later releases

SAP SuccessFactors

(11.1.1.5.0)

11.1.2.1.0

You can use one of the following releases of Oracle Identity Manager:

-
Oracle Identity Manager 11g Release 2 PS2 BP09 (11.1.2.2.9) and any later BP in this release track
-
Oracle Identity Manager 11g Release 2 PS3 BP06 (11.1.2.3.6) and any later BP in this release track
JDK 1.6 or later

SAP SuccessFactors

SAP User
Management

(11.1.1.7.0)
1.4.0You can use one of the following releases of Oracle Identity Gover-
-nance or Oracle Identity Manager:
- Oracle Identity Gover-
-nance 12c (12.2.1.3.0)

- Oracle Identity Manager 11g Release 1 PS1 BP07 (11.1.1.5.7) with patch 16627402 and any later BP in this release track
- Oracle Identity Manager 11g Release 2 BP05 (11.1.2.0.5) with patch 16627415 and any later BP in this release track
- Oracle Identity Manager 11g Release 1 PS2 (11.1.2.2.0) and any later BP in this release track
- Oracle Identity Manager 11g Release 1 PS2 BP01 (11.1.1.7.1) and any later BP in this release track
- Oracle Identity Manager 11g Release 2 PS1 (11.1.2.1.0) and any later BP in this release track
- Oracle Identity Manager 11g Release 2 PS3 (11.1.2.3.0) and any later BP in this release track
JDK 1.6 Update 24 or later and JKD 1.7 or later, or JRockit 1.6 or laterThe target system can be any one of the following:
- SAP R/3 4.7 SP 45 (running on WAS 6.20) BASIS SP 48 or later
- mySAP ERP 2004 (ECC 5.0 running on WAS 6.40) BASIS SP 22 or later
- mySAP ERP 2005 (ECC 6.0 running on WAS 7.00) BASIS SP 13 or later

Note: From version 6.40 onward, SAP WAS is also known as "SAP NetWeaver."
- SAP NetWeaver 7.0 with SAP BASIS 7.00 and SAP Business Suite release: BS 2005 with the following constituents:
  *SAP ERP 6.0 (EHP2 and EHP3)
  * SAP CRM 5.0, 6.0)
  * SAP SRM 5.0, 6.0
  * SAP SCM 5.0, 5.1
- SAP NetWeaver 7.0 EHP1 with SAP BASIS 7.01 and SAP Business Suite release: BS 2007 with the following constituents:
  * SAP ERP 6.0 EHP 4 (EHP 4)
  * SAP CRM 7.0
  * SAP SRM 7.0
  * SAP SCM 7.0
- SAP NetWeaver 7.0 EHP2 with SAP BASIS 7.20 and SAP Business Suite release: BS 7i 2010 with the following constituents:
  * SAP ERP 6.0 EHP 5 (EHP 5)
  * SAP CRM 7.0 EHP1
  * SAP SRM 7.0 EHP1
  * SAP SCM 7.0 EHP1
- SAP NetWeaver 7.0 EHP3 with SAP BASIS 7.31 and SAP Business Suite release: BS 7i 2011 with the following constituents:
  * SAP ERP 6.0 EHP 6 (EHP 6)
  * SAP CRM 7.0 EHP2
  * SAP SRM 7.0 EHP2
  * SAP SCM 7.0 EHP2

Note: SAP NetWeaver 7.31 Certified Connector Version is SAP UM 11.1.1.6.0 or later.
- SAP NetWeaver 7.31 with SAP BASIS 7.31 and SAP Business Suite release: BS 7i 2011 with the following constituents:
  * SAP ERP 6.0 EHP 6
  * SAP CRM 7.0 EHP2
  * SAP SRM 7.0 EHP2
  * SAP SCM 7.0 EHP2
- SAP NetWeaver 7.4 with SAP BASIS 7.40 and SAP Business Suite release: BS 7i 2013 with the following constituents:
  * SAP Enhancement Package 7 for SAP ERP 6.0
  * SAP Enhancement Package 3 for SAP CRM 7.0
  * SAP Enhancement Package 3 for SAP SRM 7.0
  * SAP Enhancement Package 3 for SAP SCM 7.0
SAP User
Management
Engine

(11.1.1.9.0)
11.1.2.0.0You can use one of the following releases of Oracle Identity Governance or Oracle Identity Manager:

-
Oracle Identity Governance 12c
Release BP02 (12.2.1.3.2)
- Oracle Identity Manager 11g Release 1 PS1 BP07 (11.1.1.5.7) with patch 16627402 and any later BP in this release track
- Oracle Identity Manager 11g Release 2 BP05 (11.1.2.0.5) with patch 16627415 and any later BP in this release track
- Oracle Identity Manager 11g Release 2 PS1 (11.1.2.1.0) and any later BP in this release track
- Oracle Identity Manager 11g Release 2 PS2 (11.1.2.2.0) and any later BP in this release track
- Oracle Identity Manager 11g Release 2 PS3 (11.1.2.3.0) and any later BP in this release track

- JDK 1.6 Update 24 or later and JKD 1.7 or later, or JRockit 1.6 or laterThe target system can be any one of the following
- SAP User Management Engine running on SAP NetWeaver 04 SPS 14 or later
- SAP User Management Engine running on SAP NetWeaver 7.0 SPS 05 or later
- SAP User Management Engine running on SAP NetWeaver 7.4 SPS 08 or later
- SAP User Management Engine running on SAP NetWeaver 7.5 SPS 00 or later
ServiceNow

(11.1.1.5.0)
11.1.2.1.0You can use one of the following releases of Oracle Identity Manager:

- Oracle Identity Manager 11g Release 2 PS3 (11.1.2.3.0) and any later BP in this release track
- Oracle Identity Manager 11g Release 2 PS3 BP06 (11.1.2.3.6) and any later BP in this release track
-
Oracle Identity Manager 11g Release 2 PS2 BP09 (11.1.2.2.9) and any later BP in this release track
JDK 1.6 or laterServiceNow release Eureka or later
Siebel User
Management

(11.1.1.6.0)
11.1.2.1.0You can use one of the following releases of Oracle Identity Governance or Oracle Identity Manager:

- Oracle Identity Governance 12c (12.2.1.3.0)
- Oracle Identity Manager 11g Release 2 PS 3 (11.1.2.3.0) and any later BP in this release track
- Oracle Identity Manager 11g Release 1 (11.1.1.5.0) and any later BP in this release track- Oracle Identity Manager 11g Release 2 BP04 (11.1.2.0.4) and any later BP in this release track

This requirement must be as follows:

- For deploying the connector:
- JDK 1.6 Update 18 or later , or JRockit 1.6 update 17 or later
- For deploying the connector server:
JDK or JRE 1.5 or later
The target system can be any one of the following:

- Siebel 7.5 through Siebel CRM 8.2.2
- Siebel Innovation Pack 2015
- Siebel Innovation Pack 2016
- Siebel Innovation Pack 2017
- Siebel Innovation Pack 2018
UNIX

(11.1.1.5.0)
11.1.2.1.0You can use one of the following releases of Oracle Identity Manager:

- Oracle Identity Manager 11g Release 1 BP02 (11.1.1.5.2) and any later BP in this release track
- Oracle Identity Manager 11g Release 2 BP04 (11.1.2.0.4) and any later BP in this release track
- Oracle Identity Manager 11g Release 2 PS 3 (11.1.2.3.0) and any later BP in this release track
- JDK 1.6 Update 24 or later, or JRockit JDK 1.6 Update 24 or laterThe target system can be any one of the following operating systems:

- HP-UX 11.11, 11.20, 11.31
- IBM AIX 5L Version 5.2, 5.3, 6.1, 7.1
- Oracle Enterprise Linux 5.2+ (32-bit) and 64-bit versions of 5.2, 5.3, 5.4, 5.5, 5.6
- Red Hat Enterprise Linux AS 2.1, 3, 4.x
- Red Hat Enterprise Linux ES 3, 4.x
- Red Hat Linux 5.5+ Enterprise Edition (64-bit), Red Hat Linux 6.x Enterprise Edition (64 bit), Red Hat Linux 7.x Enterprise Edition (64 bit)
- Solaris 9, 10, 11

Note: You can also configure and use the connector on any other UNIX-based operating system that supports SSH and Telnet protocols.
 
WebEx

(11.1.1.5.0)
11.1.2.1.0You can use one of the following releases of Oracle Identity Manager:

- Oracle Identity Manager 1
1g Release 2 PS2 BP09 (11.1.2.2.9) and any later BP in this release track
- Oracle Identity Manager

11g Release 2 PS3 BP06 (11.1.2.3.6) and any later BP in this release track
 
JDK 1.6 or laterCisco WebEx
Webservices

(11.1.1.5.0)
11.1.2.1.0You can use one of the following releases of Oracle Identity Governance or Oracle Identity Manager:

- Oracle Identity Governance 12c (12.2.1.3.0)
- Oracle Identity Manager 11g Release 1 (11.1.1.5.6) BP06 (with patch 15971939) and any later BP in this release track
- Oracle Identity Manager 11g Release 2 (11.1.2.0.7) BP07 and any later BP in this release track

JDK 1.6 or later, or JRockit 1.6 or laterThe target system can be any that exposes webservice endpoints.


Table 10-2 External Code and Other Software / Systems Information for ICF Connectors

Oracle Identity Manager Connector and Version (minimum)External CodeOther Software / Systems
AS400

(11.1.1.6.0)
JTOpen library version 6.2-
BMC Remedy User Management

(11.1.1.5.0)
--
Box

(11.1.1.5.0)

 
--
Concur

(11.1.1.5.0)
--
Database Application Tables

(11.1.1.6.0)

Depending on the target system that you use, download one of the following sets of JDBC drivers from the Vendor's Web site:

For IBM DB2:
- For all platforms: db2jcc.jar
- For IBM DB2 with the autoincrement option set on the primary key column: db2jcc4.jar
For Microsoft SQL Server:
- For Microsoft SQL Server 2014: sqljdbc4.jar version 4.0
- For Microsoft SQL Server 2012: sqljdbc4.jar version 4.0
- For Microsoft SQL Server 2008: sqljdbc4.jar version 2.0
- For Microsoft SQL Server 2005: sqljdbc.jar version 1.2

For MySQL:
- mysql-connector-java-5.1.12-bin.jar
For Oracle Database or Oracle RAC:
- If you are using JDK 1.6: ojdbc6.jar
- If you are using JDK 1.5: ojdbc5.jar
- For all other platforms: ojdbc14.jar
- For Oracle Database with autoincrement columns: ojdbc5.jar or ojdbc6.jar

For Sybase Adaptive Server Enterprise:
- jconn3.jar
 

-
Database User Management

(11.1.1.5.0)
--
Dropbox

(11.1.1.5.0)
-You must install the following components:

- Oracle Identity Manager Connector for Microsoft Active Directory User
Management: 11.1.1.6.0
- Dropbox Business Active Directory Connector: 2.0.850300
 
Flat File

(11.1.1.5.0)
--
Fusion Apps

(11.1.1.5.0
--
Generic REST

(11.1.1.5.0)
--
Generic SCIM

(11.1.1.5.0)
--
Generic Scripting

(11.1.1.5.0)
-You can use the following scripting languages:

- BeanShell
- Groovy
- JavaScript
 
Google Apps

(11.1.1.7.0)
--
GoToMeeting

(11.1.1.5.0)
-If you are integrating Oracle Identity Manager with GoToMeeting using Oracle Identity Manager Connector for Microsoft Active Directory User Management, then you must install the following components:

- Oracle Identity Manager Connector for Microsoft Active Directory User Management: 11.1.1.6.0
- Citrix Active Directory Connector: 1.5.1.68
 
IBM Lotus Notes and Domino

(11.1.1.6.0)
-Notes.jar
 
-
JD Edwards User Management

(11.1.1.5.0)
--
Microsoft Active Directory User Management

(11.1.1.6.0)
-- Certificate Services and IIS Web Server
- Microsoft .NET framework 3.5, 4, or 4.5
Microsoft Exchange

(11.1.1.6.0)
-You must ensure that the following software are installed in your operating environment:

- Active Directory
- Active Directory UM connector 11.1.1.5.0 or later
You must deploy the Microsoft Active Directory User Management connector before you can deploy and use the Microsoft Exchange connector.

- .NET Connector Server
The Microsoft Exchange connector operates in the context of the .NET framework.
http://www.oracle.com/technetwork/middleware/id-mgmt/downloads/connectors-101674.html
 
Office 365

(11.1.1.5.0)
--
Oracle CRM On Demand

(11.1.1.5.0)
--
Oracle E-Business HRMS

(11.1.1.5.0)
--
Oracle
E-Business Suite User Management

(11.1.1.5.0)
-SSO System

The target system can use one of the following single sign-on (SSO) solutions:

- Oracle Single Sign on with Oracle Internet Directory (release 11.1.1.7.0) as LDAP based repository
- Oracle Access Manager with Microsoft Active Directory (2008, 2012 R2), Oracle Directory Server Enterprise Edition (11.1.1.7.0), Oracle Unified Directory (11.1.2.3) or Novell eDirectory (8.8) as the LDAP-based repository

SoD Engine

If you want to enable and use the
Segregation of Duties (SoD) feature of Oracle Identity Manager with this target system, then install Oracle Applications Access Controls Governor release 8.6.4.
 
Oracle Identity Cloud Services

(11.1.1.5.0)
--
Oracle Internet Directory

(11.1.1.6.0)
--
PeopleSoft Campus

(11.1.1.5.0)
-You must ensure that the following components are installed and configured in the target system environment:

- Tuxedo and Jolt (the application server)
- PeopleSoft Internet Architecture
- PeopleSoft Application Designer (2-tier mode)

The following standard PeopleSoft messages are available:

- SCC_CONSITTUENT_SYNC
- SCC_CONSTITUENT_FULLSYNC
 
PeopleSoft Employee Reconciliation

(11.1.1.5.0)
-You must ensure that the following components are installed and configured in the target system environment:

- Tuxedo and Jolt
- PeopleSoft Internet Architecture
- PeopleSoft Application Designer (2-tier mode)

The following standard PeopleSoft messages are available:

- PERSON_BASIC_FULLSYNC
- WORKFORCE_FULLSYNC
- PERSON_BASIC_SYNC
- WORKFORCE_SYNC
 
PeopleSoft User Management

(11.1.1.5.0)
-You must ensure that the following components are installed and configured in the target system environment:

- Tuxedo and Jolt
- PeopleSoft Internet Architecture
- PeopleSoft Application Designer (2-tier mode)

The following standard PeopleSoft messages are available:

- USER_PROFILE
- DELETE_USER_PROFILE

If you want to enable and use the SoD feature of Oracle Identity Manager release 11.1.1.5 BP01 with this target system, then install Oracle Applications Access Controls Governor (OAACG) release 8.6.
RSA
Authentication
Manager

(11.1.1.5.0)
--
Salesforce

(11.1.1.5.0)
--
SAP Success
Factors

(11.1.1.5.0)
--
SAP User
Management

(11.1.1.7.0)
The connector works with SAP JCo 3.0.2 or later.

The following SAP custom code files are required:

- sapjco3.jar version 3.0.2 or later
- Additional file for Microsoft Windows: sapjco3.dll version 3.0
- Additional file for AIX, Solaris, and Linux: libsap-
-jco3.so version 3.0

Note: There are different distribution packages (JCo) 3.0 available for various supported platforms and processors. See JCo documentation for more information about using JCo 3.0 packages as per your environment.
If you want to configure and use the Access Risk Analysis or Access Request Management feature of this target system, then install one of the following:

- SAP BusinessObjects Access Control 5.3 on SAP NetWeaver AS JAVA 7.00 Support Pack 14
Install the VIRACLP 530_700_19, VIRAE 530_700_19, VIRCC 530_700_19, VIRFF 530_700_19, and VIRRE 530_700_19 components.
Use ECC 6.0 with RTA components VIRSAHR 530_700 SP 19 and VIRSANH 530_731

Note: If you are using any other SAP application, then you must install the RTA component which is compatible with that SAP application.
- SAP BusinessObjects Access Control 10 on SAP NetWeaver AS ABAP 7.02 Support Pack 7
Install the GRCFND_A SP 10 component.
Use ECC 6.0 with RTA component GRCPIERP SP 13.

Note: If you are using any other SAP application, then you must install the RTA component which is compatible with that SAP application.
 
SAP User
Management
Engine

(11.1.1.9.0)
-The other software that you can install with the connector are:
- OpenSPML Toolkit version 0.6 (included with the connector bundle).

SAP Governance, Risk and Compliance Access Control (GRC AC):
If you want to configure and use the Access Risk Analysis or Access Request Management feature of this target system, then install one of the following:
* SAP BusinessObjects Access Control 10 on SAP NetWeaver AS ABAP 7.02 Support Pack 7
* SAP GRC AC 10.1 on SAP NetWeaver AS ABAP 7.40 Support Pack 8
Install the GRCFND_A SP 10 component for the above two to work.
* To use the connector with Java, ABAP, or LDAP data source, use SAP NetWeaver AS ABAP 7.01 Support Pack 10 with EP RTA component GRCPIEP SP 03 patch 2
* To use the connector with Java, ABAP, or LDAP data source, use SAP NetWeaver AS ABAP 7.01 Support Pack 10 with EP RTA component GRCPIEP SP 10 patch 2
ServiceNow

(11.1.1.5.0)
--
Siebel User
Management

(11.1.1.6.0)
Depending on the target system that you use, obtain one of the following dependent libraries from the target system:

- Siebel 7.5 through 7.7:
SiebelJI_Common.jar, SiebelJI_enu.jar, and SiebelJI.jar

- Siebel 7.8 through 8.2.2 and Siebel Innovation Pack 2015, 2016:
Siebel.jar and SiebelJI_enu.jar
 
-
UNIX

(11.1.1.5.0)
-OpenSSH, OpenSSL, operating system patches (HP-UX) ,
and SUDO software (only if the SUDO Admin mode is required)

Character encoding supported by the target system:
The target system must support the default (POSIX) locale.
WebEx

(11.1.1.5.0)
--
Webservices

(11.1.1.5.0)
--


Table 11 AOB Connectors Target and Version Information

AOB ConnectorOracle Identity Governance or Oracle Identity Manager Requirement for AOB Application/CI-Based ConnectorTarget System and Version Requirement for AOB Application/CI-Based ConnectorConnector Server Version Requirement for AOB Application/CI-Based ConnectorConnector Server JDK (minimum) Requirement for AOB Application/CI-Based ConnectorOracle Identity Governance or Oracle Identity Manager JDK / Other Software Systems
Database User ManagementFor AOB Application:
Oracle Identity Governance 12c (12.2.1.3.0)

For CI-Based Connector:
* Oracle Identity Governance 12c (12.2.1.3.0)
Note: If you are using Oracle Identity Governance 12c (12.2.1.3.0), then download and apply the patch 26616250 from My Oracle Support. Failing to apply this patch causes target resource user reconciliation runs to fail.
* Oracle Identity Manager 11g Release 2 PS3 (11.1.2.3.0)
* Oracle Identity Manager 11g Release 2 (11.1.2.0.4) and any later BP in this release track
* Oracle Identity Manager release 11g PS1 (11.1.1.5.3) BP03 and any later BP in this release track
If you are using Oracle Identity Manager 11.1.1.5.3, then you must download and apply the patches 14163597 and 13897038 from My Oracle Support.
Note: In this doc, Oracle Identity Manager release 11.1.x has been used to denote Oracle Identity Manager release 11.1.1.5 BP03, and future releases in the 11.1.1 and 11.1.2 series that the connector will support.
For AOB Application:
* Oracle Database 12c as single database, pluggable database (PDB), or Oracle RAC implementation
* Oracle Database 10g and 11g as either single database or Oracle RAC implementation
* Oracle9i Database
* MySQL 5.x

For CI-Based Connector:
* Exadata V2
* Oracle Database 12c as single database, pluggable database (PDB), or Oracle RAC implementation
* Oracle Database 10g and 11g as either single database or Oracle RAC implementation
* Oracle9i Database
* Microsoft SQL Server 2005, 2008, 2012, 2014
* MySQL 5.x
* IBM DB2 UDB 9.x
* Sybase 15.x
11.1.2.1.0
Note: Ensure  that you update the version of the Groovy library in the connector server zip to version 2.4.11. The Groovy library (groovy-all.jar file) is located in the following directory:
\Connector
_Server_
111210\
Connector_
Server_
111210
\connector_
server_
java-1.4.0
\connector_
server_
java-1.4.0
\lib\
framework\ 
JDK 1.6 or later, or JRockit JDK 1.6 or later.-
Google AppsFor AOB Application:
Oracle Identity Governance 12c (12.2.1.3.0)

For CI-Based Connector:
* Oracle Identity Governance 12c (12.2.1.3.0)
* Oracle Identity Manager 11g Release 2 PS3 (11.1.2.3.0)
* Oracle Identity Manager 11g Release 2 PS2 (11.1.2.2.0) and any later BP in this release track
* Oracle Identity Manager 11g Release 2 (11.1.2.0.4) and any later BP in this release track
* Oracle Identity Manager 11g Release 1 (11.1.1.5.0) and any later BP in this release track
 
Google Apps11.1.2.1.0JDK 1.6 or later-
GoToMeetingFor AOB Application:
Oracle Identity Governance 12c (12.2.1.3.0)

For CI-Based Connector:
* Oracle Identity Governance 12c (12.2.1.3.0)
* Oracle Identity Manager 11g Release 2 PS3 BP06 (11.1.2.3.6)
 
GoToMeeting Admin Center11.1.2.1.0 or laterJDK 1.7_80 or later-
Microsoft Active Directory User Management ApplicationFor AOB Application for Microsoft Active Directory and Microsoft AD LDS:
Oracle Identity Governance 12c (12.2.1.3.0)

For CI-Based Connector for Microsoft Active Directory and Microsoft AD LDS:
* Oracle Identity Governance 12c (12.2.1.3.0)
* Oracle Identity Manager 11g Release 2 PS3 (11.1.2.3.0)
* Oracle Identity Manager 11g Release 2 PS2 (11.1.2.2.0)
* Oracle Identity Manager 11g Release 2 (11.1.2.0.6) and any later BP in this release track
* Oracle Identity Manager 11g Release 1 (11.1.1.5.6) and any later BP in this release track
For AOB Application and CI-Based Connector for Microsoft Active Directory:
* Microsoft Active Directory installed on Microsoft Windows Server 2008, both 32-bit and 64-bit platforms
* Microsoft Active Directory installed on Microsoft Windows Server 2008 R2, both 32-bit and 64-bit platforms
* Microsoft Active Directory installed on Microsoft Windows Server 2012, 64-bit platform
* Microsoft Active Directory installed on Microsoft Windows Server 2012 R2, 64-bit platform
* Microsoft Active Directory installed on Microsoft Windows Server 2016, 64-bit platform

For AOB Application for Microsoft AD LDS:
Requirement for AOB Application and CI-Based Connector for Microsoft AD LDS:
* Microsoft Active Directory Lightweight Directory Services installed on Microsoft Windows Server 2008, both 32-bit and 64-bit platforms
* Microsoft Active Directory Lightweight Directory Services installed on Microsoft Windows Server 2008 R2, both 32-bit and 64-bit platforms
* Microsoft Active Directory Lightweight Directory Services installed on Microsoft Windows Server 2012, 64-bit platform
* Microsoft Active Directory Lightweight Directory Services installed on Microsoft Windows Server 2012 R2, 64-bit platform
* Microsoft Active Directory Lightweight Directory Services installed on Microsoft Windows Server 2016, 64-bit platform
 
11.1.2.1.0 or 12.2.1.3.0 -- Other software requirement for AOB Application and CI-Based Connector for Microsoft Active Directory and Microsoft AD LDS:
* Certificate Services
* IIS Web Server
Note: For Microsoft AD LDS (AOB Application and CI-Based Connector), you must configure SSL for the connector to perform all connector operations as expected.

- Microsoft .NET framework requirement for AOB Application and CI-Based Connector for Microsoft Active Directory and Microsoft AD LDS:
3.5, 4, or 4.5

Note: If you are using Microsoft .NET Framework 3.5, then apply the following patch to prevent a memory leak issue: http://support.
microsoft.
com/kb
/981575
Office 365For AOB Application:
* Oracle Identity Governance 12c (12.2.1.3.0)
Note: Ensure  that you download and apply the patch 25323654 from My Oracle Support . Failing to apply this patch will prevent you from successfully testing connection between Oracle Identity Governance and your target system.

For CI-Based Connector:
* Oracle Identity Governance 12c (12.2.1.3.0)
* Oracle Identity Manager 11g Release 2 PS3 (11.1.2.3.0)
* Oracle Identity Manager 11g Release 2 (11.1.2.0.4) and any later BP in this release track
Microsoft Office 365 Enterprise Editions11.1.2.1.0JDK 1.7 or laterJDK 1.7 or later
Oracle Identity Cloud ServiceFor AOB Application:
* Oracle Identity Governance 12c (12.2.1.3.0)
Note: If you are using Oracle Identity Governance 12c (12.2.1.3.0), then ensure to download and apply patches 26616250 and 25323654 from My Oracle Support.

For CI-Based Connector:
* Oracle Identity Governance 12c (12.2.1.3.0)
* Oracle Identity Manager 11g Release 2 PS3 (11.1.2.3.0) and any later BP in this release track
Oracle Identity Cloud Service 16.3.6 or later
Note: It is recommended to use Oracle Identity Cloud Service 18.2.x or later because the new features (such as Password Hashing and Deleting Users Associated with Entities) are not supported in earlier versions.

 
11.1.2.1.0
Note: It is recommended to use Connector Server 12.2.1.3.0 or later if you want to configure Transport Layer Security (TLS) 1.2 connection.
JDK 1.7 or later-
Oracle Internet DirectoryFor AOB Application:
* Oracle Identity Governance 12c (12.2.1.3.0)
Note: If you are using Oracle Identity Governance 12c (12.2.1.3.0), then ensure to download and apply patches 26616250 and 25323654 from My Oracle Support.

For CI-Based Connector:
* Oracle Identity Governance 12c (12.2.1.3.0)
* Oracle Identity Manager 11g Release 2 PS3 (11.1.2.3.0)
* Oracle Identity Manager 11g Release 2 PS2 (11.1.2.2.0)
* Oracle Identity Manager 11g Release 2 PS1 (11.1.2.1.0) and any later BP in this release track
* Oracle Identity Manager 11g Release 2 (11.1.2.0.4) and any later BP in this release track
* Oracle Identity Manager 11g PS1 (11.1.1.5.3) BP03 and any later BP in this release track
If you are using Oracle Identity Manager 11.1.1.5.3, you must download and apply patches 14163597 and 13897038. To download a patch, sign in to My Oracle Support and search for the patch number on the Patches and Updates page from My Oracle Support.
For AOB Application:
* Oracle Unified Directory 11g release (11.1.1.5.0, 11.1.2.0.0, 11.1.2.2.0, and 11.1.2.3.0)
* Oracle Internet Directory release 9.x, 10.1.4.x, and 11g release 1 (11.1.1.5.0, 11.1.1.6.0, 11.1.1.7.0 and 11.1.1.9.0)
* Oracle Directory Server Enterprise Edition 11g release 1 (11.1.1.5.0 and 11.1.1.7.2)
* An LDAPv3-compliant directory server

For CI-Based Connector:
* Oracle Unified Directory 11g release (11.1.1.5.0, 11.1.2.0.0, 11.1.2.2.0, and 11.1.2.3.0)
* Oracle Internet Directory release 9.x, 10.1.4.x, and 11g release 1 (11.1.1.5.0, 11.1.1.6.0, 11.1.1.7.0 and 11.1.1.9.0)
* Oracle Directory Server Enterprise Edition 11g release 1 (11.1.1.5.0 and 11.1.1.7.2)
* An LDAPv3-compliant directory server
* Novell eDirectory 8.7.3 and 8.8
* Oracle Virtual Directory 10g and 11g release 1 (11.1.1.5.0)
* Sun Java System Directory Server Enterprise Edition 6.3 and 7.0
* Sun ONE Directory Server 5.2
 
11.1.2.1.0JDK or JRE 1.6 and above-
SalesforceFor AOB Application:
Oracle Identity Governance 12c (12.2.1.3.0)

For CI-Based Connector:
* Oracle Identity Governance 12c (12.2.1.3.0)
* Oracle Identity Manager 11g Release 2 PS3 (11.1.2.3.0)
Salesforce Winter 2012 and later releases11.1.2.1.0 or laterFor AOB Application:
JDK 1.8.0_131 and later, or JRockit JDK 1.8.0_131 and later

For CI-Based Connector:
JDK 1.8.0_131 and later
-
SAP SuccessFactorsFor AOB Application:
* Oracle Identity Governance 12c (12.2.1.3.0)

For CI-Based Connector:
* Oracle Identity Governance 12c (12.2.1.3.0)
* Oracle Identity Manager 11g Release 2 PS3 BP06 (11.1.2.3.6)
* Oracle Identity Manager 11g Release 2 PS2 BP09 (11.1.2.2.9)
SAP SuccessFactors11.1.2.1.0JDK 1.7 or laterJDK 1.7 or later
SAP User ManagementFor AOB Application:
* Oracle Identity Governance 12c Release BP02 (12.2.1.3.2)

For CI-Based Connector:
* Oracle Identity Governance 12c Release BP02 (12.2.1.3.2)
* Oracle Identity Manager 11g Release 2 PS3 (11.1.2.3.0) and any later BP in this release track
* Oracle Identity Manager 11g Release 2 PS2 (11.1.2.2.0) and any later BP in this release track
* Oracle Identity Manager 11g Release 2 PS1 (11.1.2.1.0) and any later BP in this release track
* Oracle Identity Manager 11g Release 2 BP05 (11.1.2.0.5) with patch 16627415 and any later BP in this release track
* Oracle Identity Manager 11g Release 1 PS2 BP01 (11.1.1.7.1) and any later BP in this release track
* Oracle Identity Manager 11g Release 1 PS1 BP07 (11.1.1.5.7) with patch 16627402 and any later BP in this release track
Requirement for AOB Application:
* SAP NetWeaver 7.4 with SAP BASIS 7.40 and SAP Business Suite release: BS 7i 2013 with the following constituents:
SAP Enhancement Package 7 for SAP ERP 6.0
SAP Enhancement Package 3 for SAP CRM 7.0
SAP Enhancement Package 3 for SAP SRM 7.0
SAP Enhancement Package 3 for SAP SCM 7.0
* SAP NetWeaver 7.5 with SAP BASIS 7.50 and SAP Business Suite release: BS 7i 2016 with the following constituents:
SAP Enhancement Package 8 for SAP ERP 6.0
SAP Enhancement Package 4 for SAP CRM 7.0
SAP Enhancement Package 4 for SAP SRM 7.0
* SAP S/4 HANA 1610 with component S4CORE Release 101 SP 0000

Requirement for CI-Based Connector:
* SAP R/3 4.7 SP 45 (running on WAS 6.20) BASIS SP 48 or later
* mySAP ERP 2004 (ECC 5.0 running on WAS 6.40) BASIS SP 22 or later
* mySAP ERP 2005 (ECC 6.0 running on WAS 7.00) BASIS SP 13 or later
Note: From version 6.40 onward, SAP WAS is also known as "SAP NetWeaver."
* SAP NetWeaver 7.0 with SAP BASIS 7.00 and SAP Business Suite release: BS 2005 with the following constituents:
SAP ERP 6.0 (EHP2 and EHP3)
SAP CRM 5.0, 6.0)
SAP SRM 5.0, 6.0
SAP SCM 5.0, 5.1
* SAP NetWeaver 7.0 EHP1 with SAP BASIS 7.01 and SAP Business Suite release: BS 2007 with the following constituents:
SAP ERP 6.0 EHP 4 (EHP 4)
SAP CRM 7.0
SAP SRM 7.0
SAP SCM 7.0
* SAP NetWeaver 7.0 EHP2 with SAP BASIS 7.02 and SAP Business Suite release: BS 7i 2010 with the following constituents:
SAP ERP 6.0 EHP 5 (EHP 5)
SAP CRM 7.0 EHP1
SAP SRM 7.0 EHP1
SAP SCM 7.0 EHP1
* SAP NetWeaver 7.0 EHP3 with SAP BASIS 7.31 and SAP Business Suite release: BS 7i 2011 with the following constituents:
SAP ERP 6.0 EHP 6 (EHP 6)
SAP CRM 7.0 EHP2
SAP SRM 7.0 EHP2
SAP SCM 7.0 EHP2
Note: SAP NetWeaver 7.31 Certified Connector Version is SAP UM 11.1.1.6.0 or later.
* SAP NetWeaver 7.31 with SAP BASIS 7.31 and SAP Business Suite release: BS 7i 2011 with the following constituents:
SAP ERP 6.0 EHP 6
SAP CRM 7.0 EHP2
SAP SRM 7.0 EHP2
SAP SCM 7.0 EHP2
* SAP NetWeaver 7.4 with SAP BASIS 7.40 and SAP Business Suite release: BS 7i 2013 with the following constituents:
SAP Enhancement Package 7 for SAP ERP 6.0
SAP Enhancement Package 3 for SAP CRM 7.0
SAP Enhancement Package 3 for SAP SRM 7.0
SAP Enhancement Package 3 for SAP SCM 7.0
* SAP NetWeaver 7.5 with SAP BASIS 7.50 and SAP Business Suite release: BS 7i 2016 with the following constituents:
SAP Enhancement Package 8 for SAP ERP 6.0
SAP Enhancement Package 4 for SAP CRM 7.0
SAP Enhancement Package 4 for SAP SRM 7.0
* SAP S/4 HANA 1610 with component S4CORE Release 101 SP 0000
11.1.2.1.0JDK 1.6 Update 24 or later and JKD1.7 or later, or JRockit 1.6 or laterFor AOB Application:
The connector works with SAP JCo 3.0.2 or later. The following SAP custom code files are required:
* sapjco3.jar version 3.0.2 or later
* Additional file for Microsoft Windows: sapjco3.dll version 3.0
Additional files for AIX, Solaris, and Linux: libsapjco3.so version 3.0
Note: There are different distribution packages (JCo) 3.0 available for various supported platforms and processors. See, JCo documentation for more information about using JCo 3.0 packages as per your environment.

For CI-Based Connector:
The connector works with SAP JCo 3.0.2 or later. The following SAP custom code files are required:
* sapjco3.jar version 3.0.2 or later
* Additional file for Microsoft Windows: sapjco3.dll version 3.0
Additional files for AIX, Solaris, and Linux: libsapjco3.so version 3.0
Note: There are different distribution packages (JCo) 3.0 available for various supported platforms and processors. See, JCo documentation for more information about using JCo 3.0 packages as per your environment.
SAP User Management EngineFor AOB Application:
* Oracle Identity Governance 12c Release BP02 (12.2.1.3.2)

For CI-Based Connector:
* Oracle Identity Governance 12c Release BP02 (12.2.1.3.2)
* Oracle Identity Manager 11g Release 2 PS3 (11.1.2.3.0) and any later BP in this release track
* Oracle Identity Manager 11g Release 2 PS2 (11.1.2.2.0) and any later BP in this release track
* Oracle Identity Manager 11g Release 2 PS1 (11.1.2.1.0) and any later BP in this release track
* Oracle Identity Manager 11g Release 2 BP05 (11.1.2.0.5) with patch 16627415 and any later BP in this release track
* Oracle Identity Manager 11g Release 1 PS1 BP07 (11.1.1.5.7) with patch 16627402 and any later BP in this release track
Requirement for AOB Application:
The target system can be one of the following:
* SAP User Management Engine running on SAP NetWeaver 7.4 SPS 08 or later
* SAP User Management Engine running on SAP NetWeaver 7.5 SPS 00 or later

Requirement for CI-Based Connector:
The target system can be one of the following:
* SAP User Management Engine running on SAP NetWeaver '04 SPS 14 or later
* SAP User Management Engine running on SAP NetWeaver 7.0 SPS 05 or later
* SAP User Management Engine running on SAP NetWeaver 7.4 SPS 08 or later
* SAP User Management Engine running on SAP NetWeaver 7.5 SPS 00 or later
11.1.2.1.0JDK 1.6 update 24 or later and JKD1.7 or later, or JRockit 1.6 or later-
ServiceNowFor AOB Application:
Oracle Identity Governance 12c (12.2.1.3.0)

For CI-Based Connector:
* Oracle Identity Governance 12c (12.2.1.3.0)
* Oracle Identity Manager 11g Release 2 PS3 (11.1.2.3.0)
ServiceNow release Eureka or later11.1.2.1.0 or laterJDK 1.7 or later-
UNIXFor AOB Application:
* Oracle Identity Governance 12c (12.2.1.3.0)

For CI-Based Connector:
* Oracle Identity Governance 12c (12.2.1.3.0)
Note: If you are using Oracle Identity Governance 12c (12.2.1.3.0), then download and apply the patch 26616250 from My Oracle Support. Failing to apply this patch causes target resource user reconciliation runs to fail.
* Oracle Identity Manager 11g Release 2 PS3 (11.1.2.3.0)
* Oracle Identity Manager 11g Release 2 BP04 (11.1.2.0.4) and any later BP in this release track
* Oracle Identity Manager 11g Release 1 BP02 (11.1.1.5.2) and any later BP in this release track


* HP-UX 11.11, 11.20, 11.31
* IBM AIX 5L Version 5.2, 5.3, 6.1, 7.1
* Oracle Enterprise Linux 5.2+(32-bit) and 64-bit versions of 5.2, 5.3, 5.4, 5.5, 5.6
* Red Hat Enterprise Linux AS 2.1, 3, 4.x
* Red Hat Enterprise Linux ES 3, 4.x
* Red Hat Linux 5.5+ Enterprise Edition (64-bit)
* Solaris 9, 10, 11
Note: You can also configure and use the connector on any other UNIX-based operating system that supports SSH and Telnet protocols. See Configuring the Connector for a New Target System for more information.
 
11.1.2.1.0JDK 1.7 or laterJDK 1.7 or later
WebExFor AOB Application:
Oracle Identity Governance 12c (12.2.1.3.0)

For CI-Based Connector:
* Oracle Identity Governance 12c (12.2.1.3.0)
* Oracle Identity Manager 11g Release 2 PS3 (11.1.2.3.0)
Cisco WebEx11.1.2.1.0 or laterJDK 1.8 or later-

4 Oracle Identity Federation Certification

The information in this section is grouped as follows:

Note: Sun JDK 1.4.2 has extended support for Oracle customers. Use Patch 8453300, if you require the latest JDK 1.4.2 from Sun (for Solaris,
Linux and Windows). 
You can obtain this patch from http://myoraclesupport.com.

ProcessorBus ArchitectureOperating System Name and VersionOperating System 32 or 64 bits?Oracle Identity Federation will run as 32 or 64 bit Application?Application ServerWeb Proxy Server
ProcessorBus ArchitectureOperating System Name and VersionOperating System 32 or 64 bits?Oracle Identity Federation will run as 32 or 64 bit Application?Application ServerWeb Proxy Server

AMD Opteron

64 bit

Oracle Enterprise Linux (OEL) 5 / Oracle VM
(See footnote 5)

both

32 bit

Oracle Application Server 10g Release 2 (10.1.2.0.2)

Oracle HTTP Server 10Release 2

AMD Opteron

64 bit

Red Hat Linux EL 5 / Oracle VM
(See footnote 5)

both

32 bit

Oracle Application Server 10g Release 2 (10.1.2.0.2)

Oracle HTTP Server 10Release 2

AMD Opteron

64 bit

Oracle Enterprise Linux (OEL) 4 /Oracle VM
(See footnote 3)

both

32 bit

Oracle Application Server 10g Release 2 (10.1.2.0.2)

Oracle HTTP Server 10g Release 2

AMD Opteron

64 bit

Red Hat Linux EL 3.0 (UL3 or higher)

64 bit

32 bit

Oracle Application Server 10g Release 2 (10.1.2.0.2)

Oracle HTTP Server 10g Release 2

AMD Opteron

64 bit

Red Hat Linux EL 4.0 (UL1 or higher) / Oracle VM

64 bit

32 bit

Oracle Application Server 10g Release 2 (10.1.2.0.2)

Oracle HTTP Server 10g Release 2

AMD Opteron

64 bit

Solaris 10

Both

32 bit

Oracle Application Server 10g Release 2 (10.1.2.0.2)

Oracle HTTP Server 10g Release 2

AMD Opteron64 bitSLES 10 (See footnote 2)64 bit or 32 bit32 bitOracle Application Server 10g Release 2 (10.1.2.0.2)Oracle HTTP Server 10g Release 2

AMD Opteron

64 bit

SLES 9

64 bit or 32 bit

32 bit

Oracle Application Server 10g Release 2 (10.1.2.0.2)

Oracle HTTP Server 10g Release 2

AMD Opteron64 bitMicrosoft Windows 2008 (See footnote 5)both32 bitOracle Application Server 10g Release 2 (10.1.2.0.2)Oracle HTTP Server 10Release 2
AMD Opteron64 bitMicrosoft Windows 2008 R2 (See footnote 5)64 bit32 bitOracle Application Server 10g Release 2 (10.1.2.0.2)Oracle HTTP Server 10g Release 2

AMD Opteron

64 bit

Microsoft Windows Vista (See footnote 1)

both

32 bit

Oracle Application Server 10g Release 2 (10.1.2.0.2)

Oracle HTTP Server 10g Release 2

AMD Opteron

64 bit

Windows 2003 R1 with SP1 or higher

32 bit

32 bit

Oracle Application Server 10g Release 2 (10.1.2.0.2)

Oracle HTTP Server 10g Release 2

AMD Opteron

64 bit

Windows 2003 R1 with SP1

64 bit

32 bit

Oracle Application Server 10g Release 2 (10.1.2.0.2)

Oracle HTTP Server 10g Release 2

AMD Opteron

64 bit

Windows 2000 with SP3 or higher

32 bit

32 bit

Oracle Application Server 10g Release 2 (10.1.2.0.2)

Oracle HTTP Server 10g Release 2

AMD Opteron

64 bit

Windows XP Professional

64 bit

32 bit

Oracle Application Server 10g Release 2 (10.1.2.0.2)

Oracle HTTP Server 10g Release 2

AMD Opteron

64 bit

Windows XP Professional with SP2

32 bit

32 bit

Oracle Application Server 10g Release 2 (10.1.2.0.2)

Oracle HTTP Server 10g Release 2

AMD Opteron

64 bit

Windows XP Professional

32 bit

32 bit

Oracle Application Server 10g Release 2 (10.1.2.0.2)

Oracle HTTP Server 10g Release 2

IBM zSeries

64 bit

Red Hat Linux AS 4.0 Update 2

64 bit

32 bit

Oracle Application Server 10g Release 2 (10.1.2.0.2)

Oracle HTTP Server 10g Release 2

IBM zSeries

64 bit

SLES 9 SP2

64 bit

32 bit

Oracle Application Server 10g Release 2 (10.1.2.0.2)

Oracle HTTP Server 10g Release 2

Intel

32 bit

Oracle Enterprise Linux (OEL) 4.0 / Oracle VM

(See footnote 3)
 

32 bit

Oracle Application Server 10g Release 2 (10.1.2.0.2)

Oracle HTTP Server 10g Release 2

Intel

32 bit

Asianux 2.0

 

32 bit

Oracle Application Server 10g Release 2 (10.1.2.0.2)

Oracle HTTP Server 10g Release 2

Intel

32 bit

Oracle Enterprise Linux (OEL) 5 / Oracle VM
(See footnote 5)

32 bit

32 bit

Oracle Application Server 10g Release 2 (10.1.2.0.2)

Oracle HTTP Server 10Release 2

Intel

32 bit

Red Hat Linux 5 / Oracle VM
(See footnote 5)

32 bit

32 bit

Oracle Application Server 10g Release 2 (10.1.2.0.2)

Oracle HTTP Server 10Release 2

Intel

32 bit

Red Hat Linux EL 3.0 (UL3 or higher)

64 bit

32 bit

Oracle Application Server 10g Release 2 (10.1.2.0.2)

Oracle HTTP Server 10g Release 2

Intel

32 bit

Red Hat Linux EL 4.0 (UL1 or higher) / Oracle VM

64 bit

32 bit

Oracle Application Server 10g Release 2 (10.1.2.0.2)

Oracle HTTP Server 10g Release 2

Intel

32 bit

Red Hat Linux AS 2.1 UL5 with Errata 49 kernel or higher

 

32 bit

Oracle Application Server 10g Release 2 (10.1.2.0.2)

Oracle HTTP Server 10g Release 2

Intel

32 bit

Red Hat AS 4.0 (UL1 or UL2)

 

32 bit

Oracle Application Server 10g Release 2 (10.1.2.0.2)

Oracle HTTP Server 10g Release 2

Intel

32 bit

SLES 10
(See footnote 2)

 

32 bit

Oracle Application Server 10g Release 2 (10.1.2.0.2)

Oracle HTTP Server 10g Release 2

Intel

32 bit

SLES 9

 

32 bit

Oracle Application Server 10g Release 2 (10.1.2.0.2)

Oracle HTTP Server 10g Release 2

Intel

32 bit

SLES 8 SP3

 

32 bit

Oracle Application Server 10g Release 2 (10.1.2.0.2)

Oracle HTTP Server 10g Release 2

Intel

32 bit

Solaris 2.9

32 bit

32 bit

Oracle Application Server 10g Release 2 (10.1.2.0.2)

Oracle HTTP Server 10g Release 2

Intel

32 bit

Solaris 10

32 bit

32 bit

Oracle Application Server 10g Release 2 (10.1.2.0.2)

Oracle HTTP Server 10g Release 2

Intel32 bitMicrosoft Windows
2008
(See footnote 5)
32 bit32 bitOracle Application Server 10g Release 2 (10.1.2.0.2)Oracle HTTP Server 10g Release 2

Intel

32 bit

Microsoft Windows Vista (See footnote 1)

32 bit

32 bit

Oracle Application Server 10g Release 2 (10.1.2.0.2)

Oracle HTTP Server 10g Release 2

Intel

32 bit

Windows 2003 R1 (with SP1 or higher) and R2

 

32 bit

Oracle Application Server 10g Release 2 (10.1.2.0.2)

Oracle HTTP Server 10g Release 2

Intel

32 bit

Windows 2003 with SP3 or higher

 

32 bit

Oracle Application Server 10g Release 2 (10.1.2.0.2)

Oracle HTTP Server 10g Release 2

Intel

32 bit

Windows XP with SP2 or higherThe
information in this section is grouped as
follows:

 

32 bit

Oracle Application Server 10g Release 2 (10.1.2.0.2)

Oracle HTTP Server 10g Release 2

Intel EM64T

64 bit

Oracle Enterprise Linux (OEL) 5 / Oracle VM
(See footnote 5)

both

32 bit

Oracle Application Server 10g Release 2 (10.1.2.0.2)

Oracle HTTP Server 10Release 2

Intel EM64T

64 bit

Red Hat Linux 5 / Oracle VM
(See footnote 5)

both

32 bit

Oracle Application Server 10g Release 2 (10.1.2.0.2)

Oracle HTTP Server 10Release 2

Intel EM64T

64 bit

Oracle Enterprise Linux (OEL) 4.0 / Oracle VM

(See footnote 3)

both

32 bit

Oracle Application Server 10g Release 2 (10.1.2.0.2)

Oracle HTTP Server 10g Release 2

Intel EM64T

64 bit

Red Hat Linux EL 3.0 (UL3 or higher)

64 bit

32 bit

Oracle Application Server 10g Release 2 (10.1.2.0.2)

Oracle HTTP Server 10g Release 2

Intel EM64T

64 bit

Red Hat Linux EL 4.0 (UL1 or higher) / Oracle VM

64 bit

32 bit

Oracle Application Server 10g Release 2 (10.1.2.0.2)

Oracle HTTP Server 10g Release 2

Intel EM64T

64 bit

SLES 10
(See footnote 2)

64 bit or 32 bit

32 bit

Oracle Application Server 10g Release 2 (10.1.2.0.2)

Oracle HTTP Server 10g Release 2

Intel EM64T

64 bit

SLES 9

64 bit or 32 bit

32 bit

Oracle Application Server 10g Release 2 (10.1.2.0.2)

Oracle HTTP Server 10g Release 2

Intel EM64T64 bitMicrosoft Windows 2008 (See footnote 5)both32 bitOracle Application Server 10g Release 2 (10.1.2.0.2)Oracle HTTP Server 10g Release 2
Intel EM64T64 bitMicrosoft Windows 2008 R2 (See footnote 5)64 bit32 bitOracle Application Server 10g Release 2 (10.1.2.0.2)Oracle HTTP Server 10g Release 2

Intel EM64T

64 bit

Microsoft Windows Vista (See footnote 1)

both

32 bit

Oracle Application Server 10g Release 2 (10.1.2.0.2)

Oracle HTTP Server 10g Release 2

Intel EM64T

64 bit

Windows 2003 R! with SP1 or higher

64 bit

32 bit

Oracle Application Server 10g Release 2 (10.1.2.0.2)

Oracle HTTP Server 10g Release 2

Intel EM64T

64 bit

Windows 2000 with SP3 or higher

32 bit

32 bit

Oracle Application Server 10g Release 2 (10.1.2.0.2)

Oracle HTTP Server 10g Release 2

Intel EM64T

64 bit

Windows XP Professional

32 bit

32 bit

Oracle Application Server 10g Release 2 (10.1.2.0.2)

Oracle HTTP Server 10g Release 2

Intel EM64T

64 bit

Windows XP Professional

64 bit

32 bit

Oracle Application Server 10g Release 2 (10.1.2.0.2)

Oracle HTTP Server 10g Release 2

Intel EM64T

64 bit

Windows XP Professional with SP2

32 bit

32 bit

Oracle Application Server 10g Release 2 (10.1.2.0.2)

Oracle HTTP Server 10g Release 2

Itanium-2

64 bit

HP-UX 11i (11.23)

64 bit

64 bit

Oracle Application Server 10g Release 2 (10.1.2.0.2)

Oracle HTTP Server 10g Release 2

Itanium-264 bitHP-UX 11iV3 (11.31)64 bit64 bitOracle Application Server 10g Release 2 (10.1.2.0.2)Oracle HTTP Server 10g Release 2

Itanium-2

64 bit

Red Hat Linux EL3.0 (UL6)

 

64 bit

Oracle Application Server 10g Release 2 (10.1.2.0.2)

Oracle HTTP Server 10g Release 2

Itanium-2

64 bit

Red Hat Linux EL4.0 (UL1)

 

64 bit

Oracle Application Server 10g Release 2 (10.1.2.0.2)

Oracle HTTP Server 10g Release 2

Itanium-2

64 bit

SLES 9 SP3

 

64 bit

Oracle Application Server 10g Release 2 (10.1.2.0.2)

Oracle HTTP Server 10g Release 2

Itanium-2

64 bit

Windows 2003 Server 64 bit Itanium

64 bit

64 bit

Oracle Application Server 10g Release 2 (10.1.2.0.2)

Oracle HTTP Server 10g Release 2

PA-RISC

64 bit

HP-UX 11i (11.11)

64 bit

32 bit

Oracle Application Server 10g Release 2 (10.1.2.0.2)

Oracle HTTP Server 10g Release 2

PA-RISC

64 bit

HP-UX 11i (11.23)

64 bit

32 bit

Oracle Application Server 10g Release 2 (10.1.2.0.2)

Oracle HTTP Server 10g Release 2

PA-RISC64 bitHP-UX 11iV3 (11.31)64 bit32 bitOracle Application Server 10g Release 2 (10.1.2.0.2)Oracle HTTP Server 10g Release 2

Power

64 bit

AIX 5L (5.2 ML04 or higher) (See footnote 4)

IBM AIX 5.2 has been deprecated. Oracle Fusion Middleware 10.1.4 support has ended on AIX 5.2, as it reached end of life on April 30, 2009. For more information on IBM’s support policy, refer to http://www-01.ibm.com/software/support/systemsp/lifecycle/index.html

 

32 bit

Oracle Application Server 10g Release 2 (10.1.2.0.2)

Oracle HTTP Server 10g Release 2

Power

64 bit

AIX 5L (5.3 ML02 or higher) (See footnote 4)

 

32 bit

Oracle Application Server 10g Release 2 (10.1.2.0.2)

Oracle HTTP Server 10g Release 2

Power64 bitAIX 6.1(See footnote 4) 32 bitOracle Application Server 10g Release 2 (10.1.2.0.2)Oracle HTTP Server 10g Release 2

Power

64 bit

Red Hat Linux EL4.0 (UL1 or higher)

 

32 bit

Oracle Application Server 10g Release 2 (10.1.2.0.2)

Oracle HTTP Server 10g Release 2

Power

64 bit

SLES 9 (SP2 or higher)

 

32 bit

Oracle Application Server 10g Release 2 (10.1.2.0.2)

Oracle HTTP Server 10g Release 2

SPARC

64 bit

Solaris 2.8

 

32 bit

Oracle Application Server 10g Release 2 (10.1.2.0.2)

Oracle HTTP Server 10g Release 2

SPARC

64 bit

Solaris 2.9

 

32 bit

Oracle Application Server 10g Release 2 (10.1.2.0.2)

Oracle HTTP Server 10g Release 2

SPARC

64 bit

Solaris 10

 

32 bit

Oracle Application Server 10g Release 2 (10.1.2.0.2)

Oracle HTTP Server 10g Release 2


Footnote 1 - Microsoft Vista support requires Patch Set 10.1.4.2. For more information, please refer to MetaLink note number 465847.1 on My Oracle Support.

Footnote 2 - SLES support requires Patch Set 10.1.4.2. For more information, please refer to MetaLink note number 465847.1 on My Oracle Support.

Footnote 3 - Before installing, please refer to Table 2-4 of the Oracle Application Server Installation Guide 10g (10.1.4.0.1) for Linux x86 for a list of required OS packages. Also, apply patch 6198537 following the instructions in the included README file in order to start the 10.1.4.0.1 installer.

Footnote 4- There is a known issue with IBM platforms and the 10.1.4.2 patchset. For additional information, please refer to MetaLink Note 466039.1 on My Oracle Support.

Footnote 5 - Oracle Enterprise Linux (OEL)/Red Hat Linux EL 5, Microsoft Windows 2008, and Microsoft Windows 2008 R2 support requires Patch Set 10.1.4.3. For more information, please refer to MetaLink note number 465847.1 on My Oracle Support.

4.2 Oracle Identity Federation Third Party Certification

Table 13 lists the third party certification details for Oracle Identity Federation.

Table 13 Oracle Identity Federation Third Party Certification

 Certification DetailsAdditional Information (See Table 12)

Customer Directory ServiceFoot 1 

Microsoft AD 2000

 

Microsoft AD 2003

 

Oracle Internet Directory 10.1.4.0.1

 

Oracle Virtual Directory 10.1.4.0.1

 

Sun Java Directory Server 5.2

 

Customer Database

MS SQL Server 2000

 

Oracle Database 9.2.0.8, 10.1.0.5, 10.2.0.2+, 11.1.0.6+Foot 2 , 11.2.0.1+Foot 3

3

Web Proxy Server

Sun Java System WebServer 6.1

2

Browsers

Microsoft Internet Explorer 8.04

Microsoft Internet Explorer 7.0

1

Microsoft Internet Explorer 6.0

 

Mozilla 1.7 (Deprecated, Oracle recommends moving to a supported version of Firefox listed.)

 

Firefox 1.5 (Deprecated, Oracle recommends moving to a supported version of the browsers listed.) 

 

Firefox 3.54

Third Party Integration

Oracle Access Manager 10.1.4

 

Oracle COREid Access 7.0.4

 

Oracle Application Server Single Sign-On 10.1.4

 

CA Siteminder Policy Server 5.5

 

Active Directory Federation Services (ADFS) via WS-Federation Passive Requester Profile (for Windows 2003 EE R2)

 

Footnote 1 Please refer to the Directory Server vendor's platform certification for OS platform support.

Footnote 2 For additional information about Oracle Database 11gR1 Certification for Oracle Application Server 10g (10.1.2.x), please refer to MetaLink Note 740417.1 on My Oracle Support.

Footnote 3 For additional information about Oracle Database 11gR2 Certification for Oracle Application Server 10g (10.1.2.x), please refer to MetaLink Note 887365.1 on My Oracle Support.

 

Table 14 Additional Information for Oracle Identity Federation Third Party Certification

NumberDescription

1

Certified with 10.1.4.2 Patch Set.

2

Certified as a web proxy server front-ending Oracle Identity Federation.

3

Customers planning to upgrade their database to 11.1.0.6 and apply Oracle Identity Federation patch set 10.1.4.2 must apply the 10.1.4.2 patch set prior to upgrading the database to avoid installation problems.

4Certified with 10.1.2.3 Patch Set.



This section contains certification information for Oracle Enterprise Single Sign-On products. The following components are certified on Windows only:

Table 15 lists the Oracle Enterprise Single Sign-On Suite certification information for Windows.

Table 14 Oracle Enterprise Single Sign-On Suite Certification for Windows

Operating SystemThick ClientSupported BrowsersJava SupportHost EmulatorsDirectory Servers

Windows

Windows 2000 with SP4

Windows XP Professional with SP3, SP2 

Windows Server 2003 with SP1

Windows Vista with Business Edition, v2 (see note 1 in the following table)

Microsoft Windows Server 2008 with Enterprise Edition

 

Microsoft Internet Explorer 7.0, 6.0 with SP1 (see note 2 in the following table)

Firefox 3.0, 2.0

JRE 1.3 or higher

JInitiator 1.3.x or higher

 

IBM DB2 Database 8.1.6

IBM Tivoli Directory Server 5.2

MS AD 2008, 2003, 2000

MS AD Application Mode 2003 SP1

MS SQL Server 2000

Novell eDirectory  8.8 SP1

Open LDAP Directory Server 2.2, 2.0.27

Oracle Database Management System 10g

Oracle Internet Directory 10.1.4.0.1

Siemens DirX Directory-NEW 8.0

Sun Java System Directory Server 5.2, 5.1


Table 14 Additional Information for Oracle Enterprise Single Sign-On Suite Certification for Windows

NumberDescription

1

Vista Business Edition for Logon Manager is supported with 10.1.4.0.3 and later .

 

Table 15 lists the Oracle Enterprise Single Sign-On Password Reset Server certification information for Windows.

Table 15 Oracle Enterprise Single Sign-On Password Reset Server Certification for Windows

ProcessorBus ArchitectureOperating System Name and VersionOperating System 32 or 64 bits?.Net FrameworkWeb ServerDirectory Servers as RepositoryDatabase as Repository

Any

32 bit

Windows 2000 SP4

Windows XP (client only) SP2, SP3

Windows Server 2003 SP2

Windows Server 2003 R2 SP2

Vista  (client only) Business Edition, Business Edition with SP1

32 bit

V2.0 or higher

IIS 5.0 or higher

MS AD 2000 verson 5.0 or higher

MS AD 2003 verson 5.2 or higher

MS ADAM 1.0

Oracle 10.1.3 or higher

MS SQL Server 2000


Table 16 Additional Information for Oracle Enterprise Single Sign-On Password Reset Server Certification for Windows

NumberDescription

1

Vista Business Edition is supported with 10.1.4.0.4 and later.



6 Oracle Access Manager Certification

The Oracle Access Manager Certification Information for 10gR3 has moved to a new location and format. To access the certification information, please click here.

If you do not have Microsoft Excel installed, please download Excel Viewer to open, view, and print Excel workbooks.

7 Oracle Virtual Directory Certification

This section contains certification information for Oracle Virtual Directory version 10.1.4.0.1.

The information in this section is grouped as follows:

7.1 Oracle Virtual Directory Solaris Certification

Table 25 lists the Oracle Virtual Directory certification information for Solaris.

Table 25 Oracle Virtual Directory Certification for Solaris

ProcessorBus ArchitectureOperating System Name and VersionOperating System 32 or 64 bits?Oracle Virtual Directory will run as 32 or 64 bit Application?Server or Client?Foot 1 Directory ServersFoot 2 DatabaseFoot 3 

SPARC

32 bit

Solaris 2.9

Solaris 10

Solaris 10 LDOM

Solaris 10 Containers

32 bit

32 bit

Server

Oracle Internet Directory 10.1.2.1.0

Oracle Internet Directory 10.1.4.0.1

Sun Java System Directory Server 5.2

Sun Directory Server Enterprise Edition 6.2

Siemens DirX v2.0B

Novell eDirectory 8.7.3

IBM Directory Server 5.1

MS AD 2000

MS AD 2003

MS AD 2008

MS ADAM 1.0

MS ADAM 2003

MS ADAM 2008

Oracle 10.1.0.5

Oracle 10.2.0.1

MS SQL Server 2000

Oracle 9.2.0.8

Oracle 10.2.0.2 (RAC and non-RAC configurations)

Oracle DB 11gR1

Oracle DB 11gR2

Oracle TimesTen

IBM DB2


Footnote 1 Only the Virtual Directory Server has been certified for Solaris 2.9. Refer to Section 7.2, "Oracle Virtual Directory Linux Certification" and Section 7.3, "Oracle Virtual Directory Windows Certification" for Virtual Directory client certifications.

Footnote 2 Refer to the appropriate Directory Server certification matrices for platform certification information.

Footnote 3 Refer to the appropriate Database certification matrices for platform certification information for Oracle and MS SQL Server 2000.

7.2 Oracle Virtual Directory Linux Certification

Table 26 lists the Oracle Virtual Directory certification information for Linux.

Table 26 Oracle Virtual Directory Certification for Linux

ProcessorBus ArchitectureOperating System Name and VersionOperating System 32 or 64 bits?Oracle Virtual Directory will run as 32 or 64 bit Application?Server or Client?Directory ServersFoot 1 DatabaseFoot 2 

Any

32 bit

Red Hat Linux EL 3.0 UL3

OEL 4.0 / Oracle VM

Red Hat Linux EL 4.0 / Oracle VM

OEL 5.0 (Both 32-bit and 64-bit)

Red Hat Linux EL 5.0 (Both 32-bit and 64-bit)

32 bit

32 bit

Both

Oracle Internet Directory 10.1.2.1.0

Oracle Internet Directory 10.1.4.0.1

Sun Java System Directory Server 5.2

Sun Directory Server Enterprise Edition 6.2

Siemens DirX v2.0B

Novell eDirectory 8.7.3

IBM Directory Server 5.1

MS AD 2000

MS AD 2003

MS AD 2008

MS ADAM 1.0

MS ADAM 2003

MS ADAM 2008

Oracle 10.1.0.5

Oracle 10.2.0.1

MS SQL Server 2000

Oracle 9.2.0.8

Oracle 10.2.0.2 (RAC and non-RAC configurations)

Oracle DB 11gR1

Oracle DB 11gR2

Oracle TimesTen

IBM DB2


Footnote 1 Refer to the appropriate Directory Server certification matrices for platform certification information.

Footnote 2 Refer to the appropriate Database certification matrices for platform certification information for Oracle and MS SQL Server 2000.

7.3 Oracle Virtual Directory Windows Certification

Table 27 lists the Oracle Virtual Directory certification information for Windows.

Table 27 Oracle Virtual Directory Certification for Windows

ProcessorBus ArchitectureOperating System Name and VersionOperating System 32 or 64 bits?Oracle Virtual Directory will run as 32 or 64 bit Application?Server or Client?Directory ServersFoot 1 DatabaseFoot 2 

Any

32 bit

Windows 2003 EE SP1

Windows 2003 EE SP3

Windows 2003 R2

Windows 2000

Windows WP

Windows Vista (Client Only)

Windows 2008

32 bit

32 bit

Both

Oracle Internet Directory 10.1.2.1.0

Oracle Internet Directory 10.1.4.0.1

Sun Java System Directory Server 5.2

Sun Directory Server Enterprise Edition 6.2

Siemens DirX v2.0B

Novell eDirectory 8.7.3

IBM Directory Server 5.1

MS AD 2000

MS AD 2003

MS AD 2008

MS ADAM 1.0

MS ADAM 2003

MS ADAM 2008

Oracle 10.1.0.5

Oracle 10.2.0.1

MS SQL Server 2000

Oracle 9.2.0.8

Oracle 10.2.0.2 (RAC and non-RAC configurations)

Oracle DB 11gR1

Oracle DB 11gR2

Oracle TimesTen

IBM DB2


Footnote 1 Refer to the appropriate Directory Server certification matrices for platform certification information.

Footnote 2 Refer to the appropriate Database certification matrices for platform certification information for Oracle and MS SQL Server 2000.

7.4 Oracle Virtual Directory SLES Certification

Table 28 lists the Oracle Virtual Directory certification information for SLES.

Table 28 Oracle Virtual Directory Certification for SLES

ProcessorBus ArchitectureOperating System Name and VersionOperating System 32 or 64 bits?Oracle Virtual Directory will run as 32 or 64 bit Application?Server or Client?Directory ServersFoot 1 DatabaseFoot 2 

Any

32 bit

SLES 9.0

SLES 10.0

32 bit

32 bit

Both

Oracle Internet Directory 10.1.2.1.0

Oracle Internet Directory 10.1.4.0.1

Sun Java System Directory Server 5.2

Sun Directory Server Enterprise Edition 6.2

Siemens DirX v2.0B

Novell eDirectory 8.7.3

IBM Directory Server 5.1

MS AD 2000

MS AD 2003

MS AD 2008

MS ADAM 1.0

MS ADAM 2003

MS ADAM 2008

Oracle 10.1.0.5

Oracle 10.2.0.1

MS SQL Server 2000

Oracle 9.2.0.8

Oracle 10.2.0.2 (RAC and non-RAC configurations)

Oracle DB 11gR1

Oracle DB 11gR2

Oracle TimesTen

IBM DB2


Footnote 1 Refer to the appropriate Directory Server certification matrices for platform certification information.

Footnote 2 Refer to the appropriate Database certification matrices for platform certification information for Oracle and MS SQL Server 2000.

7.5 Oracle Virtual Directory AIX Certification

Table 29 lists the Oracle Virtual Directory certification information for AIX.

Table 29 Oracle Virtual Directory Certification for AIX

ProcessorBus ArchitectureOperating System Name and VersionOperating System 32 or 64 bits?Oracle Virtual Directory will run as 32 or 64 bit Application?Server or Client?Foot 1 Directory ServersFoot 2 DatabaseFoot 3 

Any

64 bit

IBM AIX 5.3

64 bit

64 bit

Server

Oracle Internet Directory 10.1.2.1.0

Oracle Internet Directory 10.1.4.0.1

Sun Java System Directory Server 5.2

Sun Directory Server Enterprise Edition 6.2

Siemens DirX v2.0B

Novell eDirectory 8.7.3

IBM Directory Server 5.1

MS AD 2000

MS AD 2003

MS AD 2008

MS ADAM 1.0

MS ADAM 2003

MS ADAM 2008

Oracle 10.1.0.5

Oracle 10.2.0.1

MS SQL Server 2000

Oracle 9.2.0.8

Oracle 10.2.0.2 (RAC and non-RAC configurations)

Oracle DB 11gR1

Oracle DB 11gR2

Oracle TimesTen

IBM DB2


Footnote 1 Only the Virtual Directory Server has been certified for AIX 5.3. Refer to Section 7.2, "Oracle Virtual Directory Linux Certification" and Section 7.3, "Oracle Virtual Directory Windows Certification" for Virtual Directory client certifications.

Footnote 2 Refer to the appropriate Directory Server certification matrices for platform certification information.

Footnote 3 Refer to the appropriate Database certification matrices for platform certification information for Oracle and MS SQL Server 2000.

7.6 Oracle Virtual Directory HP Certification

Table 30 lists the Oracle Virtual Directory certification information for HP.

Table 30 Oracle Virtual Directory Certification for HP

ProcessorBus ArchitectureOperating System Name and VersionOperating System 32 or 64 bits?Oracle Virtual Directory will run as 32 or 64 bit Application?Server or Client?Foot 1 Directory ServersFoot 2 DatabaseFoot 3 

Any

32 bit

HP-UX 11i (11.11)

32 bit

32 bit

Server

Oracle Internet Directory 10.1.2.1.0

Oracle Internet Directory 10.1.4.0.1

Sun Java System Directory Server 5.2

Sun Directory Server Enterprise Edition 6.2

Siemens DirX v2.0B

Novell eDirectory 8.7.3

IBM Directory Server 5.1

MS AD 2000

MS AD 2003

MS AD 2008

MS ADAM 1.0

MS ADAM 2003

MS ADAM 2008

Oracle 10.1.0.5

Oracle 10.2.0.1

MS SQL Server 2000

Oracle 9.2.0.8

Oracle 10.2.0.2 (RAC and non-RAC configurations)

Oracle DB 11gR1

Oracle DB 11gR2

Oracle TimesTen

IBM DB2


Footnote 1 Only the Virtual Directory Server has been certified for AIX 5.3. Refer to Section 7.2, "Oracle Virtual Directory Linux Certification" and Section 7.3, "Oracle Virtual Directory Windows Certification" for Virtual Directory client certifications.

Footnote 2 Refer to the appropriate Directory Server certification matrices for platform certification information.

Footnote 3 Refer to the appropriate Database certification matrices for platform certification information for Oracle and MS SQL Server 2000.

7.7 Additional Java Certifications

  • Oracle Virtual Directory is certified with JRE 1.6 now.

8 Oracle Internet Directory and Oracle Application Server Single Sign-On Certification

Table 31 through Table 34 contain the overall certification information for Oracle Application Server, which is applicable for Oracle Internet Directory and Oracle Application Server Single Sign-On.

The information in this section is grouped as follows:

Oracle Identity Management (10.1.4.0.1) and higher are supported on Montecito based servers for Linux. Montecito (Dual-Core) and later Itanium-2 based servers are not supported for Windows.

8.1 Oracle Application Server Platform Certification

Table 31 Oracle Application Server Certified Platforms

ProcessorBus ArchitectureOperating SystemJDK CertificationFoot 1 Additional Information (see Table 32)

AMD Opteron

64 bit

Oracle Enterprise Linux (OEL) 5 (64 bit OS) / Oracle VM

Sun 32-bit JDK 1.4.2_(18+)

2,4,5,6,7,8,16, 21, 22

AMD Opteron

64 bit

Red Hat Linux EL 5 (64 bit OS) / Oracle VM

Sun 32-bit JDK 1.4.2_(18+)

2,4,5,6,7,8, 16, 21, 22

AMD Opteron

64 bit

Oracle Enterprise Linux (OEL) 4.0 (64 bit OS) / Oracle VM

Sun 32-bit JDK 1.4.2_(06+)

2,4,5,6,7,8,12, 22

AMD Opteron

64 bit

Red Hat Linux EL 3.0 (UL3 or higher) (64 bit OS)

Sun 32-bit JDK 1.4.2_(06+)

2,4,5,6,7,8, 22

AMD Opteron

64 bit

Red Hat Linux EL 4.0 (UL1 or higher) (64 bit OS) / Oracle VM

Sun 32-bit JDK 1.4.2_(06+)

2,4,5,6,7,8, 22

AMD Opteron

64 bit

Solaris 10 (32 bit and 64 bit OS)

Sun 32-bit JDK 1.4.2_(12+)

4,5,6,7,8, 22

AMD Opteron

64 bit

SLES 9 (64 bit OS or 32 bit OS)

Sun 32-bit JDK 1.4.2_(06+)

2,4,5,6,7,8, 22

AMD Opteron

64 bit

SLES 10 (64 bit OS or 32 bit OS)

Sun 32-bit JDK 1.4.2_(06+)

2,4,5,6,7,8,10,16, 22

AMD Opteron

64 bit

Microsoft Windows 2008 (32 and 64
bit OS)
Sun 32-bit JDK 1.4.2_(18+)2,4,5,6,7,8,16, 21, 22
AMD Opteron64 bitMicrosoft Windows 2008 R2 (64 bit OS)Sun 32-bit JDK 1.4.2_(18+)2,4,5,6,7,8,16, 21, 22

AMD Opteron

64 bit

Microsoft Windows Vista (32 and 64 bit OS)

Sun 32-bit JDK 1.4.2_(14+)

2,4,5,6,7,8,10,16, 22

AMD Opteron

64 bit

Windows 2003 R1 with SP1 or higher (32 bit OS)

Sun 32-bit JDK 1.4.2_(06+)

2,4,5,6,7,8, 22

AMD Opteron

64 bit

Windows 2003 R1 with SP1 (64 bit OS)

Sun 32-bit JDK 1.4.2_(06+)

2,4,5,6,7,8, 22

AMD Opteron

64 bit

Windows 2000 with SP3 or higher (32 bit OS)

Sun 32-bit JDK 1.4.2_(06+)

2,4,5,6,7,8, 22

AMD Opteron

64 bit

Windows XP Professional (64 bit OS)

Sun 32-bit JDK 1.4.2_(06+)

2,4,5,6,7,8, 22

AMD Opteron

64 bit

Windows XP Professional with SP2 (32 bit OS)

Sun 32-bit JDK 1.4.2_(06+)

2,3,4,5,6,7,8, 22

AMD Opteron

64 bit

Windows XP Professional (32 bit OS)

Sun 32-bit JDK 1.4.2_(06+)

2,4,5,6,7,8, 22

IBM zSeries

64 bit

Red Hat Linux AS 4.0 Update 2

JDK 1.4.2 SR5 (cx390142-20060421) or higher

JDK 1.4.2 SR5 (cxz64142-20060421) or higher

4,5,6,7,8,9, 22

IBM zSeries

64 bit

SLES 9 SP 2

JDK 1.4.2 SR5 (cx390142-20060421) or higher

JDK 1.4.2 SR5 (cxz64142-20060421) or higher

4,5,6,7,8,9, 22

Intel

32 bit

Asianux 2.0

Sun 32-bit JDK 1.4.2_(06+)

4,5,6,7,8, 22

Intel

32-bit

Oracle Enterprise Linux (OEL) 5 / Oracle VM

Sun 32-bit JDK 1.4.2_(18+)

16, 21, 22

Intel

32-bit

Red Hat Linux 5 / Oracle VM

Sun 32-bit JDK 1.4.2_(18+)

16, 21, 22

Intel

32 bit

Oracle Enterprise Linux (OEL) 4.0 / Oracle VM

Sun 32-bit JDK 1.4.2_(06+)

12, 22

Intel

32 bit

Red Hat Linux EL 3.0 (UL3 or higher)

Sun 32-bit JDK 1.4.2_(06+)

22

Intel

32 bit

Red Hat Linux EL 4.0 (UL1 or higher) / Oracle VM

Sun 32-bit JDK 1.4.2_(06+)

22

Intel

32 bit

Red Hat AS 2.1 UL5 with Errata 49 kernel or higher

Sun 32-bit JDK 1.4.2_(06+)

22

Intel

32 bit

Red Hat AS 4.0 (UL1 or UL2)

Sun 32-bit JDK 1.4.2_(06+)

22

Intel

32 bit

Solaris 9 (32 bit OS)

Sun 32-bit JDK 1.4.2_(12+)

4,5,6,7,8, 22

Intel

32 bit

Solaris 10 (32 bit OS)

Sun 32-bit JDK 1.4.2_(12+)

4,5,6,7,8, 22

Intel

32 bit

SLES 10

Sun 32-bit JDK 1.4.2_(06+)

4,5,6,7,8,10,16, 22

Intel

32 bit

SLES 9

Sun 32-bit JDK 1.4.2_(06+)

4,5,6,7,8, 22

Intel

32 bit

SLES 8 SP3

Sun 32-bit JDK 1.4.2_(06+)

4,5,6,7,8, 22

Intel32 bitMicrosoft Windows 2008Sun 32-bit JDK 1.4.2_(18+)16, 21, 22

Intel

32 bit

Microsoft Windows Vista

Sun 32-bit JDK 1.4.2_(14+)

10,16, 22

Intel

32 bit

Windows 2003 R1 (with SP1 or higher) and R2

Sun 32-bit JDK 1.4.2_(06+)

22

Intel

32 bit

Windows 2000 with SP3 or higher

Sun 32-bit JDK 1.4.2_(06+)

22

Intel

32 bit

Windows XP with SP2 or higher

Sun 32-bit JDK 1.4.2_(06+)

22

Intel EM64T

64 bit

Oracle Enterprise Linux (OEL) 5 (64 bit OS) / Oracle VM

Sun 32-bit JDK 1.4.2_(18+)

2, 16, 21, 22

Intel EM64T

64 bit

Red Hat Linux 5 (64 bit OS) / Oracle VM

Sun 32-bit JDK 1.4.2_(18+)

2, 16, 21, 22

Intel EM64T

64 bit

Oracle Enterprise Linux (OEL) 4.0 / Oracle VM

Sun 32-bit JDK 1.4.2_(06+)

2,12, 22

Intel EM64T

64 bit

Red Hat Linux EL 3.0 (UL3 or higher) (64 bit OS)

Sun 32-bit JDK 1.4.2_(06+)

2, 22

Intel EM64T

64 bit

Red Hat Linux EL 4.0 (UL1 or higher) (64 bit OS) / Oracle VM

Sun 32-bit JDK 1.4.2_(06+)

2, 22

Intel EM64T

64 bit

SLES 10 (64 bit OS or 32 bit OS)

Sun 32-bit JDK 1.4.2_(06+)

2,4,5,6,7,8,10,16, 22

Intel EM64T

64 bit

SLES 9 (64 bit OS or 32 bit OS)

Sun 32-bit JDK 1.4.2_(06+)

2,4,5,6,7,8, 22

Intel EM64T64 bitMicrosoft Windows 2008 (64 bit OS)Sun 32-bit JDK 1.4.2_(18+)2, 16, 21, 22
Intel EM64T64 bitMicrosoft Windows 2008 R2 (64 bit OS)Sun 32-bit JDK 1.4.2_(18+)2, 16, 21, 22

Intel EM64T

64 bit

Microsoft Windows Vista (64 bit OS)

Sun 32-bit JDK 1.4.2_(14+)

2,10,16, 22

Intel EM64T

64 bit

Windows 2003 R1 with SP1 or higher (64 bit OS)

Sun 32-bit JDK 1.4.2_(06+)

2, 22

Intel EM64T

64 bit

Windows 2000 with SP3 or higher (32 bit OS)

Sun 32-bit JDK 1.4.2_(06+)

2, 22

Intel EM64T

64 bit

Windows XP Professional (64 bit OS)

Sun 32-bit JDK 1.4.2_(06+)

2, 22

Intel EM64T

64 bit

Windows XP Professional (32 bit OS)

Sun 32-bit JDK 1.4.2_(06+)

2, 22

Intel EM64T

64 bit

Windows XP Professional with SP2 (32 bit OS)

Sun 32-bit JDK 1.4.2_(06+)

2, 22

Itanium-2

64 bit

HP-UX 11i (11.23)

HP 64-bit JDK 1.4.2.(07+)

4,5,6,7,8,15

Itanium-264 bitHP-UX 11iV3 (11.31)HP 64-bit JDK 1.4.2.(07+)4,5,6,7,8,15,20

Itanium-2

64 bit

Red Hat Linux EL 3.0 (UL6)

BEA JRockit 64-bit JDK 1.4.2_(10-b03+)

4,5,6,7,8,17

Itanium-2

64 bit

Red Hat Linux EL 4.0 (UL1)

BEA JRockit 64-bit JDK 1.4.2_(10-b03+)

4,5,6,7,8,17

Itanium-2

64 bit

SLES 9 SP3

BEA JRockit 64-bit JDK 1.4.2_(10-b03+)

4,5,6,7,8,17

Itanium-2

64 bit

Windows 2003 Server 64 bit Itanium

BEA JRockit 64-bit JDK 1.4.2_(05+)

4,5,6,7,8,18, 19

PA-RISC

64 bit

HP-UX 11i (11.11)

HP 64-bit JDK 1.4.2.(06+)

4,5,6,7,8

PA-RISC

64 bit

HP-UX 11i (11.23)

HP 64-bit JDK 1.4.2.(06+)

4,5,6,7,8

PA-RISC64 bitHP-UX 11iV3 (11.31)HP 64-bit JDK 1.4.2.(06+)4,5,6,7,8,13

Power

64 bit

AIX 5L (5.2 ML04 or higher)

IBM AIX 5.2 has been deprecated. Oracle Fusion Middleware 10.1.4 support has ended on AIX 5.2, as it reached end of life on April 30, 2009. For more information on IBM’s support policy, refer to http://www-01.ibm.com/software/support/systemsp/lifecycle/index.html

IBM 32-bit SDK 1.4.2 ca142ifx-20060209 (SR4-1) or higher

IBM 64-bit SDK 1.4.2 caix64142-20060421 (SR5) or higher

4,5,6,7,8,9,11

Power

64 bit

AIX 5L (5.3 ML02 or higher)

IBM 32-bit SDK 1.4.2 ca142ifx-20060209 (SR4-1) or higher

IBM 64-bit SDK 1.4.2 caix64142-20060421 (SR5) or higher

4,5,6,7,8,9,11

Power

64 bit

AIX 6.1

IBM 32-bit SDK 1.4.2 ca142ifx-20060209 (SR4-1) or higher

IBM 64-bit SDK 1.4.2 caix64142-20060421 (SR5) or higher

4,5,6,7,8,9,11,14,16

Power

64 bit

Red Hat Linux EL 4.0 (UL1 or higher)

IBM 32-bit SDK 1.4.2 cxppc32142ifx-20060209 (SR4-1) or higher

IBM 64-bit SDK 1.4.2 cxp64142-20060824 (SR6) or higher

4,5,6,7,8,9

Power

64 bit

SLES 9 (SP2 or higher)

IBM 32-bit SDK 1.4.2 cxppc32142ifx-20060209 (SR4-1) or higher

IBM 64-bit SDK 1.4.2 cxp64142-20060824 (SR6) or higher

4,5,6,7,8,9

SPARC

64 bit

Solaris 8

Sun 64-bit JDK 1.4.2_(08+)

2,4,5,6,7,8, 22

SPARC

64 bit

Solaris 9

Sun 64-bit JDK 1.4.2_(08+)

2,4,5,6,7,8, 22

SPARC

64 bit

Solaris 10

Sun 64-bit JDK 1.4.2_(08+)

1,2,4,5,6,7,8, 22


Footnote 1 A plus sign (+) after the fourth digit in the version number indicates that this and all higher versions of the JRE/JINIT/JDK extensions are certified. For example, 1.4.2_(06+) means that 1.4.2_06, 1.4.1_07, and any  1.4.2_xx versions are certified. See Table 31 for vendors supported for your platform.

Table 32 Additional Information for Certified Platforms

NumberDescription

1

Please see OracleMetaLink Note 330016.1, "Installation Requirements for Solaris10 Operating System (SPARC)."

2

Oracle Application Server will run as a 32-bit application although the processor is 64 bit.

3

Oracle Application Server Support for Windows XP is only applicable for J2EE and Web Cache and OracleAS Developer Kits.

4

Oracle Web Services Manager is not certified on this platform.

5

Oracle Web Services Manager Gatewayis not certified on this platform.

6

Oracle Web Services Manager Agent is not certified on this platform.

7

Oracle Web Services Manager Monitor is not certified on this platform.

8

Oracle Web Services Manager Policy Server is not certified on this platform.

9

Only OID Server uses 64-bit JDK (from the $ORACLE_HOME/jdk64 directory). All other Java applications are certified to use 32-bit JDK (from the $ORACLE_HOME/jdk directory).

10

Certified with Patch Set 10.1.4.2. For additional information, please refer to MetaLink Note 465847.1

11

There is a known issue with IBM platforms and the 10.1.4.2 patchset. For additional information, please refer to MetaLink Note 466039.1

12

Before installing, please refer to Table 2-4 of the Oracle Application Server Installation Guide 10g (10.1.4.0.1) for Linux x86 for a list of required OS packages. Also, apply patch 6198537 following the instructions in the included README file in order to start the 10.1.4.0.1 installer. Refer to Oracle Identity Management 10g (10.1.4.0.1) Release Notes Addendum, Oracle Enterprise Linux (OEL) 5 or Red Hat Enterprise Linux (RHEL) 5 (DOC ID 465847.1), which can be found via the Knowledge Tab Page in My Oracle Support

13HP patch PHKL_35936 is required.
The following Oracle patch must also be applied:
  • 6522391 (http://updates.oracle.com/download/6522391.html)
14The following patches must be applied to install on AIX 6.1:
  • 6806473 (http://updates.oracle.com/download/6806473.html) must be applied for 10.1.4.0.1
  • 6806478 (http://updates.oracle.com/download/6806478.html) must be applied for 10.1.4.2
15

HP-UX Itanium Servers containing the Montecito chip are supported. The following HP patches are required:

  • HP-UX 11.23 Hardware Enablement Patches for HP-UX 11i v2, September 2006

  • Feature Enablement Patches for HP-UX 11i v2, September 2006

16"Oracle Identity Management and OracleAS Metadata Repository" and "OracleAS Metadata Repository" installation types are not supported due to the fact that the 10gR1 database that comes with seeded Metadata Repository is not supported on this platform. Instead, use the 10.1.4.0.1 Metadata Repository Creation Assistant(MRCA) to install the 10.1.4.0.1 Metadata Repository into an Oracle Server 10gR2 (10.2.x) Database. Please refer to Oracle Application Server Metadata Repository Creation Assistant User's Guide 10g (10.1.4.0.1) for UNIX.

Note: The 10.1.4.0.1 MRCA is a piece of software which must be installed before it can run against a database. It is supported/certified to install 10.1.4.0.1 MRCA software on the OEL/RHEL 5.x machine. Refer to the README file to apply patch 7391245 and to start the 10.1.4.0.1 MRCA installer.

Alternatively, download MRCA for a different platform such as MS Windows. Once installed, run the MRCA from the chosen platform against the database
which resides on the remote machine. The MRCA simply uses SQL*Net to load the database objects into the database. Therefore this approach will work as long as there is network connectivity between the machine hosting the MRCA and the machine hosting the database.
17Oracle Identity Management (10.1.4.0.1) and higher are supported on Montecito based servers for Linux.
18Oracle Identity Management (10.1.4.0.1) and higher are supported on Single-Core Itanium-2 processors (like, McKinley and Madison).
19Montecito (Dual-Core) and later Itanium-2 based servers are not supported for Windows
20Oracle patch for 6257816 must be applied
21Certified with Patch Set 10.1.4.3. For additional information, please refer to MetaLink Note 465847.1
22Sun JDK 1.4.2 has extended support for Oracle customers. Use Patch 8453300, if you require the latest JDK 1.4.2 from Sun (for Solaris,
Linux and Windows). 
You can obtain this patch from http://myoraclesupport.com.

8.2 Oracle Application Server Database Certification

The following database terms are used in this section:

  • customer database: The original and primary database for storing your application data. Unless otherwise noted, the customer databases listed in this chapter are Oracle databases.

  • see database: The Oracle Database that is installed when you perform an Oracle Application Server Infrastructure installation.

  • metadata repository: A database containing schemas and objects needed by Oracle Application Server components. The metadata repository can be the seed database or can be loaded into an existing database. Unless otherwise noted, the metadata repositories listed in this chapter are Oracle databases.

Support to download the ARU patch to be applied to a 9.2.0.x database. Please use the Oracle Database 10g (10.1.0.4.2) Patch Set CD-ROM to patch a 10.1.x database.

You can create the Metadata Repository on platforms on which Oracle Application Server Metadata Repository Creation Assistant is not certified. To do so, run OracleAS Metadata Repository Creation Assistant on a certified platform and use the Remote Load feature to load the Metadata Repository on an Oracle Database certified for use as the Metadata Repository.

Oracle Application Server does not support a subset of the configurations supported by the Oracle Database. Wherever we certify a specific version of the Oracle Database for creating the Oracle Application Server Metadata Repository, it is certified in all the configurations that the Oracle Database itself supports (such as a single instance, RAC, RAC with ASM) unless otherwise indicated.

Please refer to Metalink note 740417.1 for details on Oracle Database 11gR1 Certification for Oracle Identitiy Management 10g (10.1.4). 

Please refer to Metalink note 887365.1 for details on Oracle Database 11gR2 Certification for Oracle Identity Management 10g (10.1.4).

Oracle Database 10g and earlier Certification for Customer Data, and for Use with Oracle Application Server Metadata Repository Creation Assistant

Table 33 Oracle Application Server Certified Oracle Databases (10g and earlier)

PlatformCustomer DatabaseMetadata Repository Database Created Using Metadata Repository Creation AssistantAdditional Information (see Table 34)
 9.2.0.8 or higher (in the 9.2 product line)10.1.0.4 or higher (in the 10.1 product line)10.2.0.1.0 or higher (in the 10.2 product line)9.2.0.8 or higher (in the 9.2 product line)10.1.0.5 or higher (in the 10.1 product line)10.2.0.2.0 or higher (in the 10.2 product line) 

AMD Opteron 64 bit Oracle Enterprise Linux 4.0 (64 bit OS) / Oracle VM

Y

Y

Y

Y

Y

Y

1,2,3,5

AMD Opteron 64 bit Red Hat Linux EL 3.0 UL3 (64 bit OS)

Y

Y

Y

Y

Y

Y

1,2,3,5

AMD Opteron 64 bit OEL 4.0 and Red Hat Linux EL 4.0 UL1 (64 bit OS) / Oracle VM

Y

Y

Y

Y

Y

Y

1,2,3,5

AMD Opteron 64 bit Solaris 10 (32 bit and 64 bit OS)

Y

Y

Y

Y

Y

Y

 

AMD Opteron 64 bit SLES 10 (64 bit OS)

Y

Y

Y

Y

Y

Y

1,2,3,5

AMD Opteron 64 bit SLES 9 (64 bit OS)

Y

Y

Y

Y

Y

Y

1,2,3,5

AMD Opteron 64 bit Windows 2003 R1 (64 bit OS)

Y

Y

Projected

Y

Y

Projected

 

AMD Opteron 64 bit Windows 2003 R1 (32 bit OS)

Y

Y

Projected

Y

Y

Projected

 

AMD Opteron 64 bit Windows 2000 with SP3 or higher (32 bit OS)

Y

Y

Projected

Y

Y

Projected

 

AMD Opteron 64 bit Windows XP Professional (64 bit OS)

       

AMD Opteron 64 bit Windows XP Professional with SP2 (32 bit OS)

       

AMD Opteron 64 bit Windows XP Professional (32 bit OS)

       

IBM zSeries 64 bit Red Hat Linux As 4.0 Update 2

       

IBM zSeries 64 bit SLES 9 SP2

       

Intel 32 bit Asianux 2.0

N

Y

Y

N

Y

Y

2,5,7

Oracle Enterprise Linux (OEL 4.0) / Oracle VM

Y

Y

Y

Y

Y

Y

1,2,3

Intel 32 bit Red Hat Linux EL 3.0 UL3

Y

Y

Y

Y

Y

Y

1,2,3

Intel 32 bit OEL 4.0 and Red Hat Linux EL 4.0 UL1 / Oracle VM

Y

Y

Y

Y

Y

Y

1,2,3

Intel 32 bit Red Hat AS 2.1 UL5 with Errata 49 kernel or higher

Y

Y

Y

Y

Y

NA

3,4

Intel 32 bit OEL 4.0 and Red Hat AS 4.0 (UL1 or UL2)

       

Intel 32 bit Solaris 2.9 (32 bit OS)

       

Intel 32 bit Solaris 10 (32 bit OS)

       

Intel 32 bit SLES 9

Y

Y

Y

Y

Y

Y

1,2,3

Intel 32 bit SLES 8 SP3

Y

Y

Y

Y

Y

NA

3,4

Intel 32 bit Microsoft Vista

Y

Y

Y

Y

Y

Y

 

Intel 32 bit Windows 2003 R1 (with SP1 or higher) and R2

Y

Y

Y

Y

Y

Y

 

Intel 32 bit Windows 2000 with SP3 or higher

Y

Y

Y

Y

Y

Y

 

Intel 32 bit Windows XP with SP2 or higher

NA

NA

NA

NA

NA

NA

 

Oracle Enterprise Linux (OEL) 4.0 (64 bit OS) / Oracle VM

Y

Y

Y

Y

Y

Y

1,2,3,5

Intel EM64T 64 bit Red Hat Linux EL 3.0 UL3 (64 bit OS)

Y

Y

Y

Y

Y

Y

1,2,3,5

Intel EM64T 64 bit OEL 4.0 and Red Hat Linux EL 4.0 UL1 (64 bit OS) / Oracle VM

Y

Y

Y

Y

Y

Y

1,2,3,5

Intel EM64T 64 bit SLES 9 (64 bit OS)

Y

Y

Y

Y

Y

Y

1,2,3,5

Intel EM64T 64 bit Windows 2003 R1 (64 bit OS)

Y

Y

Projected

Y

Y

Y

 

Intel EM64T 64 bit Windows 2000 with SP3 or higher (32 bit OS)

Y

Y

Projected

Y

Y

Projected

 

Intel EM64T 64 bit Windows XP Professional (64 bit OS)

       

Intel EM64T 64 bit Windows XP Professional (32 bit OS)

       

Intel EM64T 64 bit Windows XP Professional with SP2 (32 bit OS)

       

Itanium-2 64 bit hp-ux 11i (11.23) hp

Y

Y

Y

Y

Y

Y

1,2,3,6,7

Itanium-2 64 bit Red Hat EL 3.0 (UL6)

Y

Y

Y

Y

Y

Y

6,7

Itanium-2 64 bit Red Hat EL 4.0 (UL1)

Y

Y

Y

Y

Y

Y

6,7

Itanium-2 64 bit SLES 9 SP3

Y

Y

Y

Y

Y

Y

6,7

Itanium-2 64 bit Windows 2003 Server 64 bit Itanium

Y

Y

Y

Y

Y

Y

6,7

PA-RISC 64 bit hp-ux 11i (11.11)

Y

Y

Y

Y

Y

Y

1,2,3,6,7

PA-RISC 64 bit hp-ux 11i (11.23)

Y

Y

Y

Y

Y

Y

1,2,3,6,7

Power 64 bit AIX 5L (5.2 ML04 or higher)

IBM AIX 5.2 has been deprecated. Oracle Fusion Middleware 10.1.4 support has ended on AIX 5.2, as it reached end of life on April 30, 2009. For more information on IBM’s support policy, refer to http://www-01.ibm.com/software/support/systemsp/lifecycle/index.html

Y

N

Y

Y

Y

Y

1,2,3,6,7

Power 64 bit AIX 5L (5.3 ML02 or higher)

 

Y

Y

Y

Y

Y

1,2,3,6,7

Power 64 bit AIX 6.1NNYNNY1,2,3,6,7,8,9

Power 64 bit Red Hat 4.0 (UL1 or higher)

N

N

Y

N

N

Y

7

Power 64 bit SLES 9 (SP2 or higher)

N

N

Y

N

N

Y

7

SPARC 64 bit Solaris 2.8

Y

Y

Y

Y

Y

Y

1,2,3,6,7

SPARC 64 bit Solaris 2.9

Y

Y

Y

Y

Y

Y

1,2,3,6,7

SPARC 64 bit Solaris 10

Y

Y

Y

Y

Y

Y

6,7


Table 34 Additional Information for Oracle Application Server Certified Oracle Databases

NumberCategoryDescription

1

Customer Database

If using 10.2.0.1 database as a customer database, please see bug 4551356.

2

Metadata Repository

If using 10.2.0.2 or higher database as a metadata repository database, please see bugs 4545305, 4924758, 4544465, 5041641, 4687475, and 4563434.

3

Metadata Repository

If using 10.2.0.2 or higher database as a metadata repository database and Portal 10.1.4, please see bugs 4933310 and 4924758.

4

Metadata Repository

Please run linux32 bash before installing Metadata Repository Creation Assistant 10g (10.1.2.0.3).

5

Metadata Repository

In the 10.1 product line, certification is for 10.1.0.4.2 or higher, or 10.1.0.5 or higher.

6

Customer Database

In the 10.1 product line, certification is for 10.1.0.5 or higher.

7

Customer Database

In the 10.2 product line, certification is for 10.2.0.2 or higher.

8Metadata
Repository
10.2.0.3 or higher database as a metadata repository database is required for Power 64 bit AIX 6.1. Please see bug 8980500.
9Customer
Database
10.2.0.3 or higher database as a customer database is required for Power 64 bit AIX 6.1. Please see bug 8980500.

8.3 Oracle Application Server Browser Certification

Table 6, "Oracle Application Server Certified Browsers and Thick Clients" in Oracle AS 10g (10.1.2) Certification Matrix lists the certified browsers

Note:
  • OracleAS Single Sign-On Windows Native Authentication is supported from Microsoft Internet Explorer 7.0, 8.0, after following the instructions in Metalink note 418234.1 on My Oracle Support.
  • OracleAS Single Sign-On 10.1.4.3 is certified with Safari 4.x. For additional information, please refer to Oracle Fusion Middleware Release Notes 11gR1 http://download.oracle.com/docs/cd/E14571_01/doc.1111/e14774/install.htm#BABCJGBJ on the following: Rerouting to Original URL After SSO Authentication in Firefox and Safari Browsers.

9 Oracle Role Manager Certification

General certification information for Oracle Role Manager:

  • ORole Manager was previously known as Bridgestream SmartRoles.
  • The Oracle Rracle ole Manager User Interface requires Microsoft Internet Explorer 6.0.x or 7.0.
  • Oracle Role Manager Release 10.1.4.x is a non-internationalized version.
     

The information in this section is grouped as follows:

9.1 Oracle Role Manager Linux Certification

Table 35 lists the Oracle Role Manager certification information for Linux.

Table 35 Oracle Role Manager Certification for Linux

ProcessorBus ArchitectureOperating System Name and VersionOperating System 32 or 64 bits?Web ContainerCertified ORM VersionJDKAdditional Information
(see Table 38-1)
Intel Pentium32 bit and 64 bitRedHat EL (RHEL) 4/
Oracle Enterprise Linux (OEL) 4
BothJBoss 4.2.310.1.4.2Sun JDK 1.6.01, 2, 3, 6, 7,8
WebSphere 6.1.0.21 10.1.4.2IBM JDK 1.5.0  1, 2, 3,6, 7
WebLogic 10.310.1.4.2JRockit 1.6.0_051, 2, 3, 4,6, 7
RHEL 5/OEL 5/ Oracle VMBothJBoss 4.2.3GA10.1.4.2Sun JDK 1.6.01, 2, 3, 6, 7,8
WebLogic 10.310.1.4.2JRockit 1.6.0_051, 2, 3, 4, 6, 7
SLES 1032 bitWebLogic 10.310.1.4.2JRockit 1.6.0_05



9.2 Oracle Role Manager Windows Certification

Table 36 lists the Oracle Role Manager certification information for Windows.

Table 36 Oracle Role Manager Certification for Windows

ProcessorBus ArchitectureOperating System Name and VersionOperating System 32 or 64 bits?Web ContainerCertified ORM VersionJDKAdditional Information
(see Table 38-1)
Intel Pentium32 bit and 64 bitWindows Sever                     Both            
2003 SP1 and   
Windows 2008
               


Windows 2008 R2                 64 bit
JBoss 4.2.3GA10.1.4.2Sun JDK 1.6.01, 2, 3,8
WebSphere 6.1.0.2110.1.4.2IBM JDK 1.5.01, 2, 3
WebLogic 10.3.210.1.4.2JRockit 1.6.0_051,2,3,4
JBoss 4.2.310.1.4.2Sun JDK6 Update 171,2,3,9

9.3 Oracle Role Manager AIX Certification

Table 37 lists the Oracle Role Manager certification information for AIX.

Table 37 Oracle Role Manager Certification for AIX

ProcessorBus ArchitectureOperating System Name and VersionOperating System 32 or 64 bits?Web ContainerCertified ORM VersionJDKAdditional Information
(see Table 38-1)
Power PC   64 bit                  AIX 5.3
/ RISC  
32 bitJBoss 4.0.510.1.4.0
 
Sun JDK 1.5.0_081, 5
64 bitWebSphere 6.1.0.1310.1.4.2IBM JDK 1.5.01
      


9.4 Oracle Role Manager Solaris Certification

Table 38 lists the Oracle Role Manager certification information for Solaris.  

Table 38 Oracle Role Manager Certification for Solaris

ProcessorBus ArchitectureOperating System Name and VersionOperating System 32 or 64 bits?Web ContainerCertified ORM VersionJDKAdditional Information
(see Table 38-1)
SPARC64 bitSolaris 1064 bitWebLogic 10.310.1.4.2Sun JDK 1.6.0_101,2,3


Table 38-1 lists the additional information for Oracle Role Manager certification.

Table 38-1 Additional Information for Oracle Role Manager certification

NumberCategoryDescription

1

Database

No RAC support is available for Oracle Role Manager 10.1.4.0

2

Database

Oracle Database 11.1.0.6 is not supported for Oracle Role Manager  10.1.4.0

3

Database

Oracle Role Manager supports RAC database environments for general purpose operation only. High-availability scenarios, such as load balancing and failover, are not officially supported.

4Web ContainerWebLogic is not supported for Oracle Role Manager 10.1.4.0
5Operating SystemAIX (32 bit) is only supported for Oracle Role Manager 10.1.4.0
6Operating SystemORM 10.1.4.0 and 10.1.4.1 are not supported on OEL 5/RedHat 5
7Operating SystemORM-OIM Integration 10.1.4.1 and earlier are not supported on OEL 5/RedHat 5
8Web ContainerWebSphere is not supported for Oracle Role Manager on RHEL 5/OEL5
9Operating SystemYou must run the "setup.exe -ignoreSysPrereqs" command to ignore the Operating System requirement of 5.1 or 5.2


9.5 Oracle Role Manager Database Certifications

Table 39 lists the Oracle Role Manager certification information for Databases.

Table 39 Oracle Role Manager Certification Databases

VendorVersionORM 10.1.4.0ORM 10.1.4.1ORM 10.1.4.2
Oracle10.2.0.3DatabaseDatabase
RAC
Not
supported
10.2.0.4Not supportedNot supportedDatabase
RAC
11.1.0.6 Not supportedNot
supported
11.1.0.7Not supportedNot supportedDatabase
RAC
11.2.0.1Not supportedNot supportedDatabase
RAC
Footnote 1The Oracle Role Manager supports RAC database environments for general purpose operation only. High-availability scenarios, such as loadbalancing and failover, are not officially supported.

9.6 Oracle Role Manager Additional Certifications

Table 40 lists the Oracle Role Manager Additional Certifications.

Table 40 Oracle Role Manager Additional Certifications

CategoryProduct/VersionNotes
BrowserMicrosoft Internet Explorer
6 SP2
Microsoft Internet Explorer 7
 

Single sign on Authentication

OAM 10.1.4.0.1

ORM-OAM Single Sign On Authentication
is not supported for
Oracle Role Manager 10.1.4.0

ORM Integration Library - 
Supported container versions

ORM/WLS 10.3 - OIM/WLS 10.3
ORM/JBoss 4.2.3 - OIM/JBoss 4.2.3
ORM/WS 6.1.0.21 - OIM/WS 6.1.0.21


 

ORM-OIM integration is not supported
for Oracle Role Manager 10.1.4.0 on WebLogic.



10 Oracle Authentication Services for Operating Systems

This section contains certification information for Oracle Authentication Services for Operating Systems.

Table 41 Oracle Internet Directory 10.1.4.2 
  Server Operating System Name and Version      
  

- Oracle Enterprise Linux (OEL) 4.0

- Red Hat Linux EL 4.0 (UL1 or higher)

- Solaris8/Solaris9/Solaris10 (SPARC 64 bit)

     

 


Table 42   Client Operating Systems

  Client Operating System Name and Version      
  

- Oracle Enterprise Linux (OEL) 4.0 

- Red Hat Linux EL 4.0 (UL1 or higher) 

- Oracle Enterprise Linux (OEL) 5.0 

- Red Hat Linux EL 5.0 

- SLES 9

- SLES 10

- Solaris 9

- Solaris 10

- HP-UX 11.23

- IBM 5.3

11 Oracle Adaptive Access Manager Certification

The Oracle Adaptive Access Manager Certification Information for 10gR3 has moved to a new location and format. To access the certification information, please click here.

If you do not have Microsoft Excel installed, please download Excel Viewer to open, view, and print Excel workbooks.
we